Introduction

Help >

Main_P0_M0_0 Spitronics TCU

Spitronics TCU with Hyperspace Software

TCU Hardware

This Spitronics TCU hardware is continuously being developed as electronic components reach the market. The hardware differs in operation and the number of input and outputs.( Read carefully through the information to see which hardware will be suitable for your application.)

Certain new products are backwards compatible with older products even if it has better electronics. Some require a minor change on the harness but for the betterment of the system. This is to give customers with old products peace of mind with backup service. It also lets customers upgrade products to new features without having to redo the installation. The TCU was replaced with Neptune and the major difference was that RS232 were discontinued. Then Neptune 2 replaced Neptune with a more compact unit and the new style USB connecter.

The Mercury range is a new range with more capabilities than Neptune. It also is epoxy filled. The drivers are all current protected against short circuits. Mercury 2 replaced the Mercury unit with the main difference 4 extra drivers and the new style USB connecter.

Discontinued hardware is not covered in this manual.

Current Product Models:

TCU - Discontinued

Mercury - Discontinued

Mercury 2 - In production

Neptune - Discontinued

Neptune 2 - In production

TCU Software

This Hyperspace TCU software is generic to the following Spitronics TCU firmware. Ver 3.2, 3.3 and 3.3A. It is written to be a standalone version that works on the old Galaxy software protocol. So it should be easy to understand. The Ver 3.3A firmware does have a few extra features. The different TCU hardware differs in features and the number of input and outputs. If a feature is not used, it will be blanked out so that the tuner can't access it. Read carefully through the information to see which feature is specific to the hardware you purchased.

Note that this Ver 3 Software is also designed to work with some of our older products if there was firmware developed for it. The rule is that new firmware and features will only be developed for current products that is in production. You can browse our web to see if there are firmware available for older products.

Copyright © 2013. All rights reserved.


About the Manual

Help > Introduction >

Main_0 About this Manual

Hyperspace TCU Manual

The Spitronics 'Hyperspace' TCU Manual is a comprehensive informative database which includes all the relevant TCU products. Advantages include not having to tediously search through all the manuals to find the right one for your product. The manual will automatically regularly change, as it is updated. The date is included on the filename and the latest version can always be downloaded from our website http://www.spitronics.co.za/downloads/index.php, once completed, go to 'Manuals' and download the file called Hyperspace TCU Manual. This file is compressed in a RAR format.

Another advantage is when new features are released with newer product versions, the old ones will still be available. Please take time to browse through this manual and familiarize yourself as to where the info is that you are looking for. The info will be categorized in folders and sub folders. This will help you to sift through it and find what you are looking for quickly. It is an electronic manual and can run in the background with your tuning software.

Always start with the Terms & Conditions of this product. You need to know how this product is presented to the public should you have any queries later. It is also by Law that this T&C's must be visible and read by you the valued customer. You can find Terms & Conditions on our website www.spitronics.com on the right hand side of the menu bar.

Work through the Product Selection and understand the differences between the products and how to select the best one for your application. (See the selections charts.) If you still have difficulty please feel free to email us under support found on www.spitronics.com and we'll be glad to assist you.

*** Note: It is detrimental that you start with the Safety Precautions for your product before you begin installation. This will prevent unnecessary costs made by mistakes and negligence and prevent time from being wasted. The precautions FAQ came about from common mistakes that customers have made in the past. Remember these are electronic products and they can be damaged if not installed properly and used in the prescribed manner.

You may NOW proceed to the Hardware Installation part. Also see under 'Specific engine instruction' if your application has custom setup procedures.

Following these instructions, next step is Hyperspace Software. Again, Note: Always work through the startup procedure to ensure that you do not damage the product.

If there is anything that is unclear please don't hesitate to contact us, or even to reiterate it in a different manner applicable to your application. You may send the info or request to support found on www.spitronics.com


Abbreviations

Help > Introduction >

Abbreviations

AC Alternating Current
AFR Air to Fuel Ratio
ATDC After Top Dead Centre
BDC Bottom Dead Centre
BTDC Before Top Dead Centre
CAS Crank Angle sensor
COP Coil On Plug
DC Direct Current
DP Differential Pressure
Drv Driver
ECU Engine Control Unit
EFI Electronic Fuel Injection
EGR Exhaust Gas Recirculation
EGT Exhaust Gas Temperature
F/S Full Sequential
GS Galaxy Software
GP General Purpose
HOME Pulse on a camshaft sensor that comes once every second revolution
HS Hyperspace Software
HT High Tension (spark plug leads)
HV High Voltage
IAC Idle Air Control
IAT Intake Air Temperature
Imp Impedance
Int Internal
MAP Mean Absolute Pressure
NOS Nitrous Oxide System
OEM Original Engine Management
PWM Pulse Width Modulation
RPM Revolutions Per Minute
Seq Sequential
TCU Transmission Control Unit
TDC Top Dead Centre or Pulse on a crank that comes once every revolution
TOT Transmission Oil Temperature
TPS Throttle Position Sensor
TSS Transmission Speed Sensor
TxW Throttle by Wire
V Volt
VE Volumetric Efficiency
VSS Vehicle Speed Sensor
VVT Variable Valve Timing
VVT-I Variable Valve Timing with Intelligence
VVTL-I Variable Valve Timing with Lift and Intelligence

WOT Wide Open Throttle

W/S Wasted Spark


Version Changes

Help > Introduction >

Main_1 Version Changes

Version Changes in Ver 3.3

Each version change will have changes in the software or firmware. This document will explain the changes from Galaxy Ver 3.2 to Hyperspace Ver 3.3.

Software

Galaxy is a comprehensive package that has to be installed and includes handling of all versions in different packages like ECU or TCU. The latest firmware version that Galaxy can handle is TCU Ver 3.3 The Ver 3.3A is not covered properly.

Hyperspace however is a standalone package and can be run quickly without hassles with ant-virus programs and internet connections. It is also very fast to open and tune. The manual is embedded in the software. This software will cover Ver 3.3 onwards.

Firmware Ver 3.3

Main features from Ver 3.2 is that an oil temperature compensation graph was incorporated in the Mercury 2 software. This feature could soften the shift harshness when the transmission is cold. Neptune 2 however did not benefit from this feature.

Other features that were improved was the shifter sensor calibration and also the 4 map switch calibration. In Ver 3.3 the signal no longer had to be progressive as the selector or switch were moved in a direction. This was changed to cater for the parallel shifter sensors that works with conversion 1 digital to analog boards. It made the software and firmware more generic.

Firmware Ver 3.3A

Main features from Ver 3.3 is that an oil temperature compensation graph was incorporated also in Neptune 2 Advance class. This feature could soften the shift harshness when the transmission is cold. Note however that it requires a wiring modification as the Tiptronic buttons were moved from P2 pin 1 and 6 to P3 pin 1 and 4 of the coms connector.

Second start is now featured with different setup options. It can be hard wired or software selectable with the Map switch.

Overdrive is included for old school use of top gear. It can be hard wired or software selectable with the Map switch.

Low range is included as a hardware or software input where transfer case ratios could adapt speed values in the firmware.


Getting Started

Requirements.

This document will guide you on the requirements to successfully install and tune a Spitronics TCU on an automatic transmission. It will also indicate where you can find the info you need.

TCU (Transmission Control Unit)

Spitronics hardware comes in the Mercury2 and Neptune2 versions. You can view the Product Selection chapter and how to choose between them. Depending on the harness supplied, you may also need power relay, and 4 Map selection switch and Shifter converter board to change digital shifter switches to an analogue input. Then mounting screws, lugs, tape etc.

Wiring

Each product comes with a variation of wiring harnesses. It can be in the form of:

· Connectors and pins for self-made looms

· Economy harness level 1 for low budget looms

· Dealer prepared Level 2 looms

· Custom level 3 looms

· Plug & play level 4 looms

The last 2 are not a stock item at Spitronics but can be ordered from some of our dealers that added value to our products.

USB / UART communication cable to connect the device on to a laptop for tuning purposes. This cable is sold separate as you only need one for tuning all our products. Also the electronics is put in the cable which means the product becomes cheaper as each one does not require those components. This product has drivers that needs to be installed before it will operate.

Tuning software

Hyperspace TCU Ver 3.3 is required to calibrate sensors and customize the operation of the transmission in the TCU.

User Manual

This will explain in detail wiring and tuning of the chosen TCU. There is a tuning manual and drawings manual. The drawings is transmission specific as they require different connections and components that are mounted in the harness.

Startup Map

This will save you time in setting up of the TCU.

Optional requirements.

Firmware programmer. This USB Debug Adapter lets you customize the product for any transmission or custom task that firmware was developed for. Firmware is free and placed on the website. You can browse there to see if you application is covered. The programmer is also used to download the latest updates for your application. Then new features may be added for your convenience. We always recommend buying one programmer to distant customers. There is also test firmware to help in fault finding.

The Simulator is handy for training and helps dealers in trouble shooting problematic units and tuning maps. It is recommended for the dealers that carry stock and help customers over the counter. The latest Simulator2 works on all our products with the exception of different connecting harnesses.

How does Spitronics Products Work

Each Spitronics product is Micro Processor based which requires a firmware program to initialize the hardware. It has Flash memory that saves tuning maps or data permanently and it has RAM memory which is active working memory. To change the tuning maps you require tuning software that runs from a laptop or pc. The TCU need to be activated before it will function as a TCU.

The firmware will initialize the hardware to work on a specific transmission. This firmware is fixed code and is pre-loaded into the product with the USB Debug Adapter. It is optional for an end user because he will use it only once. The dealer has the option to customize standard hardware for all different applications with this programmer. The firmware files are freeware on our website and has the extension of .HEX. This process is illustrated in the left laptop configuration.

The tuning software will allow the tuner to adjust his transmission to his requirement. This could be performance, economy, automatic or tiptronic etc. This tuning data is saved in the product and also in a file called a data Map with the extension .spitcu. (Spitronics TCU)

Activation

Spitronics developed an internet activation system to allow dealers in S.A and abroad alike to carry stock at a reduced price. Once the dealer sells to a customer he will activate the unit in a specific hardware class according to the firmware and application of the customer. Only then does payment for the balance take place. The dealer then loads the correct firmware and startup Map for the customer and guides him to the correct drawings and settings. He thus test the unit on a simulator and verifies that everything is in order. This feature makes the product counter ready without the delay of ordering the product on demand. (Below is an illustration of the activation process.)


FAQ

Help >

Main_FAQ_1 Frequently Asked Questions

FAQ ( Frequently Asked Questions)

This chapter will shed light on certain areas where common mistakes are made or/and errors can be found. It is a general knowledge chapter and has frequently asked questions answered around the topic. It is systematically put forward and will guide you to the problem or point to when the dealer is of better aid or could assist you faster. This section helps to clarify basic questions. If your answer is not included in this module please contact the dealer for help and forward us your query as to include any new questions in future FAQ modules.


Power Conections

Help > FAQ >

Hard_FAQ_2 Power Connection

Power Connection

If the TCU does not have proper connections to either Power or Earth it will generate spikes and demonstrate erratic behavior. It is important the starter and alternator is wired correctly.

Earth straps can cause interference and is usually a problem during cranking. The starter draws around 60 amp during cranking. Its current flow is a thick strap from battery negative directly to the engine. Then from battery positive to the starter solenoid to the starter motor. You do not want to share these wires with sensitive electronics. The chassis also needs to be earthed. The best way is another earth strap from battery negative to the chassis. Do not earth the chassis and engine to each other to simplify wiring. This will cause a common wire that will share the starter spikes and will cause interference. The Alternator is also a source of interference. It is best to connect the charge wire which is the thick one directly to the battery positive. Remember the battery acts as a damping source for interference, so it is best to connect all different supplies to the poles.

Testing for earth problems.

1. Make sure all earth points are properly earthed. Sometimes paint of the chassis will prevent a good electrical connection.

2. Ensure that the thick black earth wire from the TCU is earthed properly. Also make sure that the thin black wires coming from the harnesses is also tied to this point. We call this junction Test point A

3. First ensure that the setup in galaxy is done according to the startup procedure. This means you will only have P1 connecter and on Mercury 2 also P4. The other connecters must be open except the comms cable.

4. Now use a multi meter and put it on AC volts. Now measure on test point a to battery negative pole. Now crank the engine. The reading should be less than 0.2 volt. If it is higher it means a bad earth. (See the advice above.)

5. Now do the same test for the TCU positive. Measure between the TCU power pin 10 that comes from the key to battery positive terminal. Here you may find a slight more voltage due to other electronics that draw current from the ignition. Again, if the volts are more that 1volt then you may need to put a relay in to bypass ignition key voltage drops. Remember the key does not supply much current and is only low amperage power to activate relays. (See below, a circuit of a bypass relay.)


Testing Magnetic Sensors

Help > FAQ >

Hard_FAQ_3 Testing Magnetic Triggers

Testing Magnetic Triggers

Work through each point below to find your problem.

1. First ensure that the setup in galaxy is done according to the startup procedure. This means you will only have P1 connecter and on Mercury 2 also P4. The other connecters must be open except the comms cable.

2. Ensure that the correct firmware is loaded into the ECU for the specific trigger pattern of your engine. You can click on TCU information to verify.

3. Make sure the jumper settings is for magnetic sensor. On Pluto 2 and Saturn it must be set to 5 volt position and the 2 pin jumper must be open. On Mercury 2 the jumper must be open. You may now crank the engine without the other connectors.

4. Ensure that battery volts on the real-time Volts bar does not fall too low. A healthy battery will crank at 11 volts and above. Below 9 volts the sensor signal becomes weak and fall below the voltage threshold of the specific ECU. If it falls below 10 see the chapter about 'Power Connection'.

5. Look if any error codes are displayed at the bottom. If there are errors remedy the fault condition.

6. Check that the Green LED flashes on Pluto 2 and Saturn. Mercury 2 does not flash on the green LED as it is connected to the RPM output driver. Also look at the RPM signal in the real-time display. It should show 200 to 300 rpm constant. If it shows erratic and runs wild, do not proceed to start. It must be constant. It means the edge setting is wrong or incorrect firmware or there is interference on the trigger signal and the ECU view them as trigger pulses.

7. If it shows no error and no RPM it means that the ECU does not pick up the signal from the crank sensor. Proceed to testing the crank sensor itself.

Testing the sensor.

1. Ensure that the thick black earth wire from the ECU is earthed properly. Also make sure that the thin black wires coming from the harnesses are also tied to this point. We call this junction Test point A

2. Disconnect P1 from the ECU as well. Now use a multi meter and put it on 2000 ohms scale.

3. For Mercury 2 Measure from Test point A to pin 12 on the P1 harness connecter. Pluto 2 or Saturn is measured between pin 12 and 6. You should get a resistance of 300 to 2000 ohm depending on the sensor. If you swop the meters wires it must read the same ohm measurement. If you don't get a reading it means your sensor is not connected correctly. Check on your wiring connections. NB! Do not press too hard on the female pins as you may damage them resulting in poor contact later.

Harness Pin view

4. If you do get a reading put the meter on AC volts. and measure on the same points. Use the lowest scale or 20 volts. Now crank the engine. The sensor will generate AC volts. If it is Pluto 2 or Saturn a voltage of more than 1 Volt is required for operation. Mercury 2 requires a voltage above 0.5 volt. If these volts are lower it means the signal is too weak to be used. This could be due to a dirty sensor or the gap is too wide between the sensor and gear. The gap is normally below 1 mm. It could also be that the sensor magnet inside is wider than the teeth pitch if it is a custom installation.

Errors and misfire during running or starting.

If the startup procedure tested correctly but you get errors during starting of the engine read the following points.

1. The ignition coils may generate interference spikes on the crank sensor wires. Ensure that the sensor wire is screened as close to the sensor as possible. If you connect to a distant connector there is usually a screen pin that has to be connected to the ECU harness screen.

2. The coils may spike the ECU and it may want to restart. This may be due to incorrect supply currents or relay wiring. An indication of this error is that the software will lose connection momentarily to the ECU.

3. Errors that comes at higher RPM may be due to a trigger wheel that is not balanced or buckle. It could also be due to a small pitch of the gear teeth to a bigger sensor diameter.

4. Also ensure that the test signal next to the crank sensor is off.

5. The sensor signal could fade with RPM due to the gap between it and the trigger wheel too close or too far.

6. Incorrect sparkplugs may generate feedback which leave spikes in the trigger signal. Normally resistor plugs is used for COP engines and non-resistor plugs for HT leads. Also ensure that you use carbon HT leads and not copper leads.


Product Selection

Help >

Main_TCU_1 Product Selection

Product Selection

Spitronics continuously develops products for the automotive industry, and have been in the market for more than a decade. As the company's expertise grow they develop new models that improve on hardware and software as engine and electronic technology improves. Their latest models are Mercury 2, Neptune 2 and Pluto. See the Sub folders for features & specifications. Then view the How to Choose section to determine which unit would best suit you.

The Mercury 2 Engine Control Unit (ECU) or Transmission Control Unit (TCU) is the flagship of our range. It is epoxy filled to be robust and reliable. It has the latest technology in short circuit protected drivers to prevent damage during faulty installations. It has many input and outputs to control small to complex engines or transmissions. Simply change the firmware to choose between ECU or TCU.

Neptune 2 is the low cost Transmission Control Unit TCU which replace the old TCU hand built units. It has direct drivers for the solenoids on board to simplify wiring and reduce costs. It is suitable for small to medium transmission features. It can connect to most sensors found on transmissions.

The USB 6Pin Cable is the new standard communication interface to computers and tuning software. This cable has electronics in the enclosure on the cable to convert UART micro protocol to USB Computer protocol. It has optic isolation to shield sensitive laptops from the harsh signal environment found in automotive industry. This piece of electronics is only used during tuning of the units. Therefore Spitronics decided to keep it separate from their products to reduce production cost. This style cable is used on Pluto, Mercury 2 and Neptune 2. The older units will require a converter cable with different connecter setups.

The Firmware Programmer is used to change the firmware in all the Spitronics products. The connecter may differ from product to product. You may require a different connecter cable for older products.( See the sub folders for explanation on connectors.)


Frequently Asked Questions

Help > Product Selection >

Main_TCU_1 Product FAQ

Frequently Asked Questions

1. Is this unit a replacement for my car's standard computer? No, the Spitronics products are unique with its own connecters and operation. Some of the signals can be interfaced with the standard units to maintain other functions such as instruments, etc.

2. Which product will suit my application? It is easy to determine by the How to Choose and Comparison Chart topic further in this chapter. Read through all the points and narrow down which unit is suitable for your application.

3. What do I get with the kit? Once you made a selection please look at the Kit Packing Lists to see what is included in the kit and what else you'll need to buy separately. All kits come with harnesses to connect onto existing engine plugs. The kit does not include the engine connecters as there are too many variations. You simply solder the harness onto your existing connecters. We do stock some of the connecters but will only quote for them on enquiry. Alternatively, you can ask a dealer to assist you or send us an email and we will determine what your requirements are.

4. What do I need to buy extra? The USB communications cable is sold separately because you only need one as a tuning tool. It is a must have component for the setup and tuning of the products. A Programmer is optional however may be necessary, depending on your expertise, when changing the firmware or install upgrades on the products afterwards. It is recommended for customers abroad were you are far from support. Spitronics can also supply a simulator that can help the entrepreneur to setup his resell business.

5. Is the unit Plug & Play No, it is more like Wire & Play, meaning that there is a certain amount of installation time, soldering and wiring to be done before the unit can be switched on. Then you may need to tune it to your transmissions parameters due to minor variation differences between drivetrains.

6. Can I install and tune this unit successfully? These products were developed for the DIY market. But you do need a fair amount of knowledge and hand skills to complete this project. Most auto electrical minded people or artisans should be able to assist you if you have difficulties. If you study the manual properly and follow the instructions set out, you should be able to get your transmission to shift satisfactory.

7. Does the unit need to be Dyno-Tuned after install? No, a transmission is best tuned on the road. A dyno will assist in basic setup but then so can a startup map from a similar transmission. Be sure to ask someone to do adjustments for you on the road. Once you know the system you can stop periodically at safe places and make adjustments.

8. Is the unit pre tuned? No, however a startup MAP on the unit is included. These units are universal for different transmissions and it cannot cater for all variations in drivetrains. It should shift in a functional manner however tuning is required and this should enable better shift efficiency.

9. Can this unit work for diesel engines? Yes, as long as the TPS sensor and RPM signal is up to standard. There are however different harnesses that makes diesel engine installation more user-friendly.

10. Is this a piggy back system? No, this is a standalone computer and does not require any other electronic units apart from the sensors on the transmission and engine.

11. Does this unit do self-tuning? No, all tuning is done in open loop.

12. Can this unit be used for racing fuels? Yes, it has four selection MAP's to tune the transmission for strategies. Note: The transmissions' hydraulics need to be modified to take the extra power through them.

17. Can these units interface to my vehicle' ECU via the CAN BUS No, these devices do not have CAN BUS capability.


TCU How to Choose

Help > Product Selection >

Main_TCU_ How to choose

How to choose the right TCU

Choosing the right TCU first time is important to save time and confidence. Please read this part with an open mind to help you choose wisely as sometimes the cheapest option is not the best one and may end up costing you more. There are 2 choices that need to be made, firstly, which product range options to choose from and secondly, which hardware class to choose for that specific product. Work through each point and narrow down your optimal choice.

Product Choice:

1. You need to consider your budget, Spitronics has the economy ranges; Pluto and Neptune 2 and then the high quality; Mercury 2 range. Mercury2 being the more expensive due to protected drivers, epoxy filled enclosure and consisting of more input and outputs.

2. If you have an unexperienced installer, Mercury2 is definitely always first choice. It is the most robust out of the range and doesn't damage easily if short circuits are made. If installed properly, the economy range performs just as well as the Mercury 2 range!

3. If you are abroad or far from Spitronics home base, best option would also be to go for the Mercury 2. due to time lost in transportation and/or could be more expensive in the long run than the money spared with the low cost products.

4. If you require the unit to be installed for harsh conditions like an off-road vehicle with lots of vibration, dampness etc. then it's recommended to opt for the Mercury 2 unit option. It is epoxy-filled for vibration and moisture. Neptune 2 could however be epoxy-filled, by yourself, after tuning should you require to do so.

5. If it is a complex transmission with lots of drivers and sensors the economy range may not be adequate and you'd need to consider the Mercury 2. (Browse through the product comparison chart to see if the product will be sufficient.)

6. The Economy range units, depending on the type of damage, are repairable as these units are not sealed. We do have a one year reduced exchange rate should any of the ECU's or TCU's be damaged. (See the pricelist for more info or contact our dealers.)

7. The best way to choose your product is to see is if the unit can handle the transmissions and if there is firmware available for it. Transmissions differ more than engines and some have complicated operations.

Hardware Class Choice:

1. Only the Neptune 2 (at this stage) is sold in Standard Intermediate or Advance configuration, as to make a low cost solution for the very common transmissions like A343E found on the 1UZ. The Standard can do 4 solenoids and does not have a speedo output for speedo calibration. The Intermediate can do 6 solenoids and speedo calibration. Advance can measure oil temperature and do line pressure compensation

2. Mercury2 can do up to 12 solenoids with speedo calibration. It is only sold in Intermediate and Advance firmware.

3. Make sure that firmware is available for your application regarding the specific TCU. Some firmware requires the abilities of Mercury 2 and is not available on the economy range products.

4. Should you plan to do upgrades in the future, the Advance TCU is the obvious choice. You may also consider the programmer to change the firmware in the future.

5. Higher class TCU's will operate with lower class firmware for the same product. So if you buy an Intermediate TCU, you may start off with Standard firmware.

6. These hardware classes could be changed over the internet in the future following an upgrade payment. So you may buy a Standard TCU and upgrade it later to an Intermediate TCU. You may also consider the programmer to change the firmware in the future.


TCU Comparison Chart

Help > Product Selection >

Main_TCU_1 Features Comparison

TCU Features Comparison Chart

 | Neptune2 | Mercury2 | Notes
Hardware |  |  |
TPS Sensor | 1 | 1 |
RPM Sensor | 1 | 1 |
Speed Sensor | 1 | 1 |
Oil Temp Sensor | 1 | 1 |
Low Range Sensor | 1 | 1 |
Shifter Selection Switch | 1 | 1 |
Tuning Maps Selection Switch | 1 | 1 |
Tiptronic Up Switch | 1 | 1 |
Tiptronic Down Switch | 1 | 1 |
GP Outputs | 2 | 2 | Note 1
Solenoid Drivers Negative Out |  | 8 |
Solenoid Drivers Positive Out | 7 | 8 |
Speedo Output | 1 | 1 | Note 1
Electronic Relay Output |  | 1 |
Relay Output | 1 | 1 |
Battery Volts | 1 | 1 |
Features |  |  |
Tiptronic Function | 1 | 1 |
4 Tuning Maps | 1 | 1 |
Individual Gear Shift Profiles | 1 | 1 |
Duty Cycle Control | 1 | 1 |
Speedo Calibration | 1 | 1 |
Lockup Control | 1 | 1 |
Lockup Selectable / Gear | 1 | 1 |
Transfer Box Ratio Adjustments | 1 | 1 |
Number of Gears Capable | 10 | 10 |
Power Management |  |  |
Epoxy filed |  | 1 |
Can be Epoxy filed | 1 |  |
Notes |  |  |
Note 2 - Depends on features selected


Mercury2 ECU/TCU

Help > Product Selection >

Main_Mercury2_1 Overview

Mercury2 Overview

The MERCURY 2 Control Unit is designed to be a cost effective replacement for high tech Engine Control Units (ECU) and Transmission Control Units (TCU). It uses unique and easy features which are easy to install and tune. It is designed with both novice and professional installer in mind.

This universal South African made product that can easily be customized for various engines or transmissions. It can be used for many applications such as racing engines, vehicle conversions, custom built vehicles, replacement parts for production vehicles etc. It is a compact reliable system which is epoxy filled to make it rugged and water tight for harsh environments and easy to mount in the driver's compartment.

The Mercury 2 unit is designed to connect directly to most sensors and drive units that is found on engines and transmissions. No need to modify them. It consist of the latest in high speed micro controllers with surface mount technology. These units are machine soldered to minimize human error.

The Mercury 2 cover features like Lambda control, idle control, launch control, fuel pressure control, cam control, line pressure control, Tiptronic gear control, stepper motor control and lots more. It has 6 positive drivers that can be converted to 12 coil igniters drivers, 8 negative drivers for injectors or GP outputs, rpm output, relay and electronic relay outputs. These drivers are ranging from 3.5 Amp to 6 Amp.

There are 9 analog input signals to measure water, air or oil temperature, throttle position, manifold pressure, lambda, fuel pressure, altitude etc. Then there are 4 trigger inputs to measure crank, cam & prop shaft angles.

The software is user-friendly and makes all the above features customizable by the tuner. This makes the Mercury 2 adaptable for most engines and transmissions. Activations of features can be done over the internet, making the unit viable to keep in stock and customize on demand.

This Mercury 2 was designed to be universal and adaptable. Some firmware is customized upon request to suit customers. New applications can easily be incorporated. Upgrades can be done over the internet.

To learn more about this amazing package browse through the features and specifications in the sub folders.


Features

Help > Product Selection > Mercury2 ECU/TCU >

Main_Mercury2_1 Features

Mercury 2 Features

TCU Features

The following are all the current features covered by the Mercury 2. There are some on the charts that are in the process of being developed for the future, however, hardware capability already exists. Not all of the features may be included on the same TCU, as there are limited amount of drivers available. Some of the hardware classes may not include certain features due to price range. (See the selection chart for the ability of the different classes. Note that this hardware could be used as ECU.)

Tiptronic

· Automatic Mode - the driver sets the maximum target gear allowed.

· Semi-Automatic Mode - the driver has more manipulation of the gears with the added automatic features.

· Manual Mode - the driver has complete control over the transmission with the added protection against over revving.

Map Selection Switch - lets the driver set up his transmission in 4 different profiles; Automatic, Tiptronic, Towing, Off-road, Racing etc.

Shifter Position input

· The TCU can sense all kinds of shifter sensors to operate correctly in all lever positions.

· If no shifter sensor is available then the reverse light signal can be used to lockout shifting in reverse.

Gear Profile Adjustments - Each gear can be manipulated to shift up or down when the tuner requires it. These settings work on RPM, Speed and TPS values.

Line Pressure Adjustments - These pressures can be adjusted on a graph with the TPS representing engine load. There may be a number of graphs according to the transmission requirement.

Indication LED's - The TCU has 2 dashboard LED's to indicate when lockup is engaged or which gear is selected in Tiptronic mode. This will help the driver in off road conditions to protect his transmission.

Sensors

· TPS sensor will indicate to the TCU what the driver's intention is. Then it will shift accordingly.

· RPM signal will be used to shift the transmission to harness the engine power correctly and be economical.

· Speed sensor will be used as protection against down gear over revving and also other shift algorithms.

· Transmission Oil Temperature sensor will change line pressures during cold conditions to soften gear shifts.

· Low range sensor will adjust speed settings in the transmission automatically.

· Sensors can be calibrated to suit most engines and transmissions.

Solenoids

· Shift solenoids will manipulate the required gear to be selected

· Duty control solenoids will control line, lockup and shift control solenoids to make the transmission as comfortable to the driver as possible.

General Purpose outputs - These outputs can be used for custom features like speed warning sirens etc.

Speedo output - this signal drives speedometers and can be calibrated on the vehicle.

Selectable Lockup - can switch on in all gears if transmission permits

Standard Harness - No need to keep several harnesses in stock for different engines. There are, however, custom harnesses for certain engines that will ease installation time. All the input wiring harnesses use screened cables for neatness of installation and to prevent electromagnetic interference which may cause erratic behavior of the ECU.

Compact Electronics - This will make the TCU easy to hide under the dashboard as it takes very little space.

Complete Kits for Most transmissions.

Cost Effective - No need to buy expensive systems as all the necessary features are included with the TCU.

Standard Tuning Software - the features that is not used or allowed in the tuning software will be blanked out.

Easy DIY Instructions - Save money on installation if you are a person who is up to the challenge.

Start-Up Maps included - This will make for easy start-up & tuning with the help of a Lambda sensor

User Friendly -Tuning Software which is extensively explained in the manual.

Tuning map -can be locked to prevent tampering. Useful for transmissions builders to give guarantees.

No Dyno Required - Tune your own transmissions and save some money. Just follow the instructions in the manual carefully.

(Note that the last four points are for the person who is handy with tools and understand wiring and operation of transmissions. If you are not sure, download the software, Map, manual and drawing and experiment with it first. It's free of charge!)


Specifications

Help > Product Selection > Mercury2 ECU/TCU >

Main_Mercury2_1 Specifications

Mercury2 Specifications

Power Supply

12V Ignition power 200mA, filtered by reverse polarity Diode, 700mA Poly switch and 25V Tranzorb

12V Relay power 14A Max, filtered by reverse polarity Diode

2.5mm2 Earth Strap

Inputs

4x Trigger inputs - Magnetic Isolated (Hall or Optic inputs require a 1K pull-up resistor)

5x Analogue input 0 - 5V

1x 2K NTC Temperature Sensor Input

1x 10K NTC Temperature Sensor Input

1x Lambda Input 0 - 1 V or Processed 0 - 5V signal.

Software UART Connection via USB2 converter cable

Firmware Programmer Connection

Outputs

8x 6A P Channel Mossfets 12V output Floating, Over-current protected

8x 3.5A N Channel Mossfets Ground output Floating, Over-current protected

1x Fuel Relay 3.5A Ground Output Floating, Over-current protected

1x RPM 3.5A Ground Output Floating with 1K pull-up resistor to 12V, Over current protected

2x General Purpose 3.5A Ground Output Floating, Over-current protected

5V 600mA Power Output for TPS & Map Sensor

Electronic Relay 5V 5mA output for Spitronics custom 45A solid state relay

Dimensions

Size 145mm x 68mm x 21mm

Weight 240g

4 x Connector Type Plastic Molex 12, 10, 8, 6

1 x Connector D-Sub F/M 9 Pin

Load Sites TCU

Tuning Pallet | load sites | Resolution | Adjustment | Adjustment |
 |  |  | Resolution | Range |
Gear Profiles Upshift | 3 | Auto Range | 1% | 0 to 100% | Interpolated
Gear Profiles Downshift | 3 | Auto Range | 1% | 0 to 100% | Interpolated
Gear Profiles Lockup | 2 | Auto Range | 1% | 0 to 100% | Interpolated
3 x Duty Control Graph | 50 | 100 % TPS | 1% | 0 to 100% | Interpolated
1 x Temperature Compensation Graph | 18 | -50% to 50% | 1% | -40°C to 140°C | Interpolated


Selection Chart

Help > Product Selection > Mercury2 ECU/TCU >

Main_Mercury2_1 Selection

Mercury2 TCU Selection

The Mercury 2 is sold in six hardware classes categorized by the features required for each engine or transmission. The advantage is that basic applications are sold cheaper than more complex applications. These features can be activated or changed over the internet, this eliminates time lost and incurred courier costs. This also makes it viable to have these units in stock at low entry cost and activate the features later when the project is started. The PC Tuning software is standard for all units. Certain features will be blanked out, if not available. The firmware categories for TCU are Intermediate, Advance and Ultimate. On the TCU only 2 classes are implemented at this stage. Please look at the following charts to see which hardware class will suit your application.

TCU Selection Chart

Mercury2 Hardware | Int/Adv | Notes
Hardware |  |
TPS Sensor | 1 |
RPM Sensor | 1 |
Speed Sensor | 1 |
Oil Temp Sensor | 1 |
Low Range Sensor | 1 |
Shifter Selection Switch | 1 |
Tuning Maps Selection Switch | 1 |
Tiptronic Up Switch | 1 |
Tiptronic Down Switch | 1 |
GP Outputs | 2 |
Solenoid Drivers Negative Out | 8 |
Solenoid Drivers Positive Out | 8 |
Speedo Output | 1 |
Electronic Relay Output | 1 |
Relay Output | 1 |
Battery Volts | 1 |
Features |  |
Tiptronic Function | 1 |
Quad Tuning Maps | 1 |
Individual Gear Profiles | 1 |
Duty Cycle Control | 1 |
Speedo Calibration | 1 |
Lockup Control | 1 |
Lockup Selectable / Gear | 1 |
Transfer Box Ratio Adjustments | 1 |
Number of Gears Capable | 10 |
Power Management |  |
Epoxy filed | 1 |
Can be Epoxy filed |  |


Neptune2 TCU

Help > Product Selection >

Main_Neptune2_1 Overview

Neptune2 Overview

The NEPTUNE 2 Control Unit is designed to be a cost effective replacement for high tech Transmission Control Units (TCU). It uses unique and easy features which are easy to install and tune. It is designed with both the novice and professional installer in mind.

This universal South African made product can easily be customized for various transmissions. It can be used for many applications such as racing cars, vehicle conversions, custom built vehicles, replacement parts for production vehicles, etc. It is a compact reliable system which can be epoxy filled to make it rugged and water tight for harsh environments and easy to mount in the driver's compartment.

The Neptune 2 unit is designed to connect directly to most sensors and drive units that are found on transmissions without the need to modify them. It consists of the latest in high speed micro controllers with surface mount technology. These units are machine soldered to minimize human error.

The Neptune 2 covers features like, line pressure control, Tiptronic gear control, shift safely limits and temperature compensation. It has 7 positive 7 Amp drivers that can drive control solenoids directly. It has 2 negative GP outputs that are used for the 2 dashboard LED's. and has a relay output. These drivers are 3.5 Amp.

There are 3 analog input signals to measure throttle position, shifter position and map selection. As well as 2 trigger inputs to measure RPM & prop-shaft speed.

The software is user-friendly and makes all the above features customizable by the tuner. This makes the Neptune 2 adaptable for most transmissions. Activations of features are done over the internet making the unit financially viable to keep in stock and customize on demand. New developments and functionality are uploaded through the internet regularly.

The Neptune 2 was designed to be universal and adaptable. Some firmware is customized to suit customers. New applications can easily be incorporated. Upgrades are done over the internet.

To learn more about this amazing package browse through the features and specifications in the sub folders.


Features

Help > Product Selection > Neptune2 TCU >

Main_Neptune2_1 Features

Neptune2 Features

These are all the current features covered by the Neptune 2. There are some features on the charts that are still in process of been developed for the future, however the hardware already has the capability to run such features. Also note that not all of the features may be included on the same TCU as there is a limited amount of drivers available. Some of the hardware classes may not include certain features due to price range. (See the selection chart for the ability of the different classes.)

Tiptronic

· Automatic Mode - the driver sets the maximum target gear allowed.

· Semi-Automatic Mode - the driver has more manipulation of the gears with the added automatic features.

· Manual Mode - the driver has complete control over the transmission with the added protection against over revving.

Map Selection Switch - lets the driver set up his transmission in 4 different profiles such as: Automatic, Tiptronic, Towing, Off-road, Racing, etc.

Shifter Position input

· The TCU can sense all kinds of shifter sensors to operate correctly in all lever positions.

· If no shifter sensor is available then the reverse light signal can be used to lockout shifting in reverse.

Gear Profile Adjustments - Each gear can be manipulated to shift up or down when the tuner requires. These settings work on RPM, Speed and TPS values.

Line Pressure Adjustments - These pressures can be adjusted on a graph with the TPS representing engine load. There may be a number of graphs according to the transmission requirement.

Temperature compensation - for cold transmissions to ensure a comfortable shift.

Indication LED's - The TCU has 2 dashboard LED's to indicate when lockup is engaged or which gear is selected in Tiptronic mode. This will help the driver in off road conditions to protect his transmission.

Sensors

· TPS sensor will indicate to the TCU what the driver's intention is. Then it will shift accordingly.

· RPM signal will be used to shift the transmission as to harness the engine power correctly and be economical.

· Speed sensor will be used as protection against down gear over revving and also other shift algorithms.

· Temperature sensor to adjust line pressures.

· Sensors can be calibrated to suit most engines and transmissions.

Solenoids

· Shift solenoids will manipulate which gear must be selected

· Duty control solenoids will control line, lockup and shift control solenoids to make the transmission is as comfortable to the driver as possible.

General Purpose outputs - These outputs are used for the dashboard LED's.

Speedo output - this signal drives speedometers and can be calibrated on the vehicle. Note: It uses a positive driver if one is available.

Selectable Lockup - can switch on in all gears if transmission permits.

Standard Harness - No need to keep several harnesses in stock for different engines. There are, however, custom harnesses for certain engines that will ease installation time. All the input wiring harnesses use screened cables for neatness of installation and to prevent electromagnetic interference which may cause erratic behavior of the ECU.

Compact Electronics - This will make the TCU easy to hide under the dashboard as it takes very little space.

Complete Kits- for 'Most' transmissions.

Cost Effective - No need to buy expensive systems as all the necessary features are included with the TCU.

Standard Tuning Software - the features that are not used or allowed in the tuning software will be blanked out.

Easy DIY Instructions - Save a lot of money on installation if you are a person who is up to the challenge.

Start-Up Maps included - This will make for easy start-up & tuning with the help of a Lambda sensor

User Friendly Tuning Software which is extensively explained in the manual.

Tuning map can be locked to prevent tampering. Useful for transmission builders to give guarantees.

No Dyno Required - Tune your own transmissions and save some more money. Just follow the instructions in the manual carefully.

(Note that the last four points are for the person who is handy with tools and understand wiring and operation of transmissions. If you are not sure, download the software, Map, manual and drawing and experiment with it first. It's free of charge!)


Specifications

Help > Product Selection > Neptune2 TCU >

Main_Neptune2_1 Specifications

Neptune2 Specifications

Power Supply

12V Ignition power 200mA, filtered by reverse polarity Diode, 700mA Poly switch and 25V Tranzorb

2.5mm2 Earth Strap

Inputs

2x Trigger inputs - Can be Magnetic or Hall or Optic inputs or combination of 2.

1x TPS Sensor input 0 - 5V

1x Map Selection sensor input 0 - 5V

1x Shifter sensor input 0 - 5V

1x Upshift Button to ground

1x Downshift Button to ground

Software UART Connection via USB2 converter cable

Firmware Programmer Connection

Outputs

7x 7A P Channel Mossfets output 12V Floating

2x General Purpose 3.5A Ground Output Floating, Over-current protected for dashboard LED's

5V 600mA Output for TPS

Dimensions

Size 145mm x 68mm x 21mm

Weight 118g

3 x Connector Type Plastic Molex 12, 10, 8

1 x Connector D-Sub F/M 9 Pin

Load Sites

Tuning Pallet | load sites | Resolution | Adjustment | Adjustment |
 |  |  | Resolution | Range |
Gear Profiles Upshift | 3 | Auto Range | 1% | 0 to 100% | Interpolated
Gear Profiles Downshift | 3 | Auto Range | 1% | 0 to 100% | Interpolated
Gear Profiles Lockup | 2 | Auto Range | 1% | 0 to 100% | Interpolated
3 x Duty Control Graph | 50 | 100 % TPS | 1% | 0 to 100% | Interpolated


Selection Chart

Help > Product Selection > Neptune2 TCU >

Main_Neptune2_1 Selection

Neptune2 Selection

The Neptune 2 is sold in six hardware classes, categorized by the features required for each engine or transmission. The advantage is that basic applications are sold cheaper than more complex applications. These features can be activated or changed over the internet, which eliminates time lost and incurred courier costs. This makes it viable to have these units in stock at low entry cost and activate the features later when the project is started. The PC Tuning software is standard for all units. Certain features will be blanked out if it is not available. The firmware categories are Micro, Basic, Standard, Intermediate, Advance and Ultimate. On the TCU only 3 classes are implemented at this stage. Please look at the following charts to see which hardware class will suit your application.

Neptune2 Hardware | Standard | Intermed | Advance | Notes
Hardware |  |  |  |
TPS Sensor | 1 | 1 | 1 |
RPM Sensor | 1 | 1 | 1 |
Speed Sensor | 1 | 1 | 1 |
Oil Temp Sensor |  |  | 1 |
Low Range Sensor |  |  | 1 |
Shifter Selection Switch | 1 | 1 | 1 |
Tuning Maps Selection Switch | 1 | 1 | 1 |
Tiptronic Up Switch | 1 | 1 | 1 |
Tiptronic Down Switch | 1 | 1 | 1 |
GP Outputs | 2 | 2 | 2 | Note 1
Solenoid Drivers Negative Out |  |  |  |
Solenoid Drivers Positive Out | 4 | 7 | 7 |
Speedo Output |  | 1 | 1 | Note 2
Electronic Relay Output |  |  |  |
Relay Output |  |  | 1 |
Battery Volts | 1 | 1 | 1 |
Features |  |  |  |
Tiptronic Function | 1 | 1 | 1 |
4 Tuning Maps | 1 | 1 | 1 |
Individual Gear Shift Profiles | 1 | 1 | 1 |
Duty Cycle Control | 1 | 1 | 1 |
Speedo Calibration |  | 1 | 1 |
Lockup Control | 1 | 1 | 1 |
Lockup Selectable / Gear | 1 | 1 | 1 |
Transfer Box Ratio Adjustments |  |  | 1 |
Number of Gears Capable | 10 | 10 | 10 |
Power Management |  |  |  |
Epoxy filed |  |  |  |
Can be Epoxy filed | 1 | 1 | 1 |
Notes |  |  |  |
Note 1 - These drivers are used for the dashboard LED's
Note 2 - This output use one of the 6 Positive drivers if available.


USB Communication Cable

Help > Product Selection >

Main_USB_0 USB Comms

USB/UART Communication Cable

Communication between the TCU's and the Hyperspace Software is done via a USB Cable manufactured by Spitronics. The reason for this is to reduce production costs and minimize board space. These components are only used during tuning and you do not need the cable once the ECU/TCU are tuned. The electronics in the cable consist of the USB converter as well as isolation devices. This cable will protect the laptop during high voltage interference.

This cable requires drivers to be installed to operate which can be downloaded from the Spitronics website under Downloads / USB Drivers. The baud rate to all products are 19200.

As development progressed over the years these product were upgraded as well. Please note: Cables between the older products are different and in some cases you may require an adapter to use the USB cable on older products.


Safety Precautions

Help >

Main_Safety_0 Safety Precautions

Safety Precautions

The following guidelines in this manual will ensure proper product operation first time. Failure to install the product correctly may damage the product or other equipment permanently. These failures will solely be the responsibility of the installer and no guarantees will be given by us the manufacturer. Make sure you have read the Terms and Conditions in this manual or on the website www.spitronics.com before you install this product. By installing the product you automatically agree to these conditions. All equipment is tested before it leaves the factory. We accept no liability for malfunctioning of the equipment, or/and injury or loss, from installation or the use of this equipment. We also accept no liability for costs incurred, traveling/ transportation of the equipment or parts or vehicle recovery due to failures of any equipment whatsoever. Please read the instructions and drawings and make sure you understand before you begin.

2.1 Operator Safety

  • Use only proper tools and products suited for auto installations. Substandard products and installation procedures may cause failure to the equipment having your customer break down in dangerous areas.
  • Use correct thickness and quality of wire to carry the entire current requirement for that circuit. Too thinner wires will heat up and may start a fire causing injury.
  • Use fuses to protect each circuit separately. NOTE: Joint circuits require large fuses, which may heat and melt lesser circuits causing fires.
  • Solder joints, and cover them with shrink sleeve to prevent loose connections which may cause fires. Space solder-joints so that they do not sit next to each other in the harness, thus minimizing the chance of a short circuit.

(See the individual Safety Precautions for each product.)


Mercury2

Help > Safety Precautions >

Main_Safety_1 Mercury2 Safety Precautions

Mercury2 Safety Precautions

Connecting

· Never connect a Mercury 2 on other harnesses even if it has the same connecters.

· Connect the TCU earth strap and the harness Earth wires to a proper earth on the body.

· Leave the output connectors P2 10 way and P3 8 way disconnected when you switch the TCU on the first time.

· Test the installation before connecting the TCU. (This will prevent damage due to faulty wiring.)

· Make sure that relay PIN numbers of the relay correspond with the drawing. Some relays differ in the contact pattern and may damage the TCU.

· The TPS must be connected correctly as it may damage the TCU or TPS permanently.

· Do not connect the TCU outputs directly to solenoids unless shown on a drawing. (Check the current rating in the Specifications.)

· The RPM input may not be connected to coil negative. The high voltage spikes on coil negative will damage the unit permanently.

· Make sure about the correct Jumper Settings before you switch the ignition on.

· Never run HT leads with TCU harnesses. A crack in the HT lead will cause a spark to jump to the TCU therefore damaging it.

Power

· Ensure that the fuse is the minimum required value. Too larger fuse will not blow resulting in driver failure.

· Connect the relay supply power directly to battery positive via a fuse, as shown in the drawings, otherwise voltage drops may occur and feedback onto sensitive electrical equipment.

· Do not connect screen wires on the engine. The starter will draw current through, therefore melting the harness. It will also bring all the engine interference in the TCU.

· Ensure a proper earth between battery negative and the chassis and also between battery negative and the engine. Do not earth the engine on the body or the body on the engine.

· Do not disconnect the battery while engine is running. The alternator will create high voltage spikes which may damage the TCU permanently.

· Ensure that all connections from the battery and alternator are secure.

· Connect the alternator charge wire directly to battery positive and not to the harness somewhere.

· Never switch the power on, if the TCU earth strap is not grounded properly - this may damage sensors or the TCU.

Programmer

· If you have a firmware programmer, ensure you only load firmware with the starting name Mercury 2 TCU.

Interference

· Install free-wheel Diodes on other relays to prevent spikes from interfering with the TCU.

· Connect screen input wires as close to the sensor wires to minimise exposure of open wires to electro-magnetic noise.

· The spark plug leads can cause interference with the TCU wiring. Keep the TCU wires away from the ignition leads wherever possible. If it is necessary to cross the ignition leads, cross it at right angles.

Wiring Reliability

The wiring is critical for reliable operation of the TCU. The following points will help to ensure that the wiring is reliable:

· Ground Wiring
One of the most common wiring problems is poor ground wiring. The ground wire must be grounded properly to the chassis and there must be no paint or anodizing between the ground wire and mounting point. Temporary wiring is likely to cause problems, use the proper terminal that is securely crimped to the ground wires. These instructions/ points apply to both the TCU ground wire and the ignition system ground wires.

· Power wiring
The power required for the fuse box must be wired by the shortest possible path to the battery via relays activated by the TCU. This power must not be fed directly from the ignition switch because it won't be able to handle the required current. The relay must be in good condition and the wires must be crimped securely to the appropriate terminals.

· Terminal crimping
Use the correct crimping tool for each type of terminal. Do a pull test on a sample wire and terminal to verify that the crimp is properly done. In theory the wire should break before the wire pulls out the crimp. Most crimp tools are only designed for a certain range of wire sizes, so be sure to test the crimp with the particular wire size being used. Soldering the terminal is the last resort if the correct crimping tool is not available.

· Terminal Damage
Connector terminals are easily damaged if probes are inserted into them. If checking a circuit for continuity gently touch the side of the terminal only.

· Wire splicing
Use a crimp splice to join wires. If you solder a wire in a splice ensure that wire movement near the splice is avoided because a fracture might occur at the stress point created by the solder. Use heat shrink to insulate and provide support to the wires. Never simply connect wire splices without solder or a crimp splice. These type of joins will corrode rendering it without connection. Never use 'Vampire Taps' & 'Plastic Butt Splices'. The first is an absolute NO. Vampire taps only work under ideal conditions and wire thickness. Too big and they make a poor connection, too small and they chop the wire in half. Both of these failures are acceptable for stereo systems, but not when you're hooking up things like injectors or ignition coils.

· Wire strain

Avoid pulling wires tight at the connectors. Ensure that wires are kept away from hot or sharp parts in the engine. Also ensure that engine movement does not put strain on the wires, as metal fatigue will break the wires in time, resulting in TCU failure.


Neptune2

Help > Safety Precautions >

Main_Safety_0 Neptune2 Safety Precautions

Neptune2 Safety Precautions

Connecting

· Never connect a Neptune2 on other harnesses, even if they have the same connecters.

· Connect the TCU earth strap and the harness Earth wires to a proper earth on the body.

· Leave the output connector P2 10 way disconnected when you switch the TCU on the first time.

· Test the installation before connecting the TCU. This will prevent damage due to faulty wiring.

· Make sure that relay pin numbers of the relay correspond with the drawing. Some relays differ in the contact pattern and may damage the TCU.

· The TPS must be connected correctly as it may damage the TCU or TPS permanently.

· Do not connect the TCU outputs directly to solenoids unless shown on a drawing. (Check the current rating in the Specifications.)

· The RPM input must not be connected to coil negative. The high voltage spikes on coil negative will damage the unit permanently.

· Make sure about the correct Jumper Settings before you switch the ignition on.

· Never run HT leads with TCU harnesses. A crack in the HT lead will cause a spark to jump to the TCU, thus damaging it.

Power

· Ensure that the fuse is the minimum required value. Too larger fuse will not blow, resulting in driver or coil destruction.

· Connect the relay power PIN 30 directly to battery positive via a fuse as shown in the drawings, otherwise voltage drops will cause lean mixtures.

· Do not connect screen wires on the engine. The starter will draw current through and melt the harness. It will also bring all the engine interference in the TCU.

· Ensure a proper earth between battery negative and the chassis and also between battery negative and the engine. Do not earth the engine on the body or the body on the engine.

· Do not disconnect the battery while engine is running. The alternator will create high voltage spikes which may damage the TCU permanently.

· Ensure that all connections from the battery and alternator are secure.

· Connect the alternator charge wire directly to battery positive and not to the harness somewhere.

· Never switch the power on, if the TCU earth strap is not grounded properly - this may damage sensors or the TCU.

Programmer

· If you have a firmware programmer, ensure you only load firmware with the starting name Neptune 2.

Interference

· Install free-wheel Diodes on other relays to prevent spikes from interfering with the TCU.

· Connect screen input wires as close to the sensor wires to minimise exposure of open wires to electro-magnetic noise.

· The spark plug leads can cause interference with the TCU wiring. Keep the TCU wires away from the ignition leads wherever possible. If it is necessary to cross the ignition leads, cross it at right angles.

Wiring Reliability

The wiring is critical for reliable operation of the TCU. The following points will help to ensure that the wiring is reliable:

Ground Wiring

· One of the most common wiring problems is poor ground wiring. The ground wire must be grounded properly to the chassis and there must be no paint or anodizing between the ground wire and mounting point. Temporary wiring is likely to cause problems, use the proper terminal that is securely crimped to the ground wires. These comments apply to both the TCU ground wire and the ignition system ground wires.

Power wiring

· The power required for the fuse box must be wired by the shortest possible path to the battery via relays activated by the TCU. This power must not be fed directly from the ignition switch because it won't be able to handle the required current. The relay must be in good condition and the wires must be crimped securely to the appropriate terminals.

Terminal crimping

· Use the correct crimping tool for each type of terminal. Do a pull test on a sample wire and terminal to verify that the crimp is properly done. In theory the wire should break before the wire pulls out the crimp. Most crimp tools are only designed for a certain range of wire sizes so be sure to test the crimp with the particular wire size being used. Soldering the terminal is the last resort if the correct crimping tool is not available.

Terminal Damage

· Connecter terminals are easily damaged if probes are inserted into them. If checking a circuit for continuity, gently touch the side of the terminal only.

Wire splicing

· Use a crimp splice to join wires. If you solder a wire in a splice ensure that wire movement near the splice is avoided because a fracture might occur at the stress point created by the solder. Use heat shrink to insulate and provide support to the wires. Never simply connect wire splices without solder or a crimp splice. These types of joins will corrode rendering it without connection. Never use 'Vampire Taps' & 'Plastic Butt Splices'. The first is an absolute NO. Vampire taps only work under ideal conditions and wire thickness. Too big and they make a poor connection, too small and they chop the wire in half. Both of these failures are acceptable for stereo systems, but not when you're hooking up things like injectors or ignition coils.

Wire strain

· Avoid pulling wires tight at the connectors. Ensure that wires are kept away from hot or sharp parts in the engine. Also ensure that engine movement does not put strain on the wires, as metal fatigue will break the wires in time, resulting in TCU failure.


TCU Hardware Description

Help >

Hard_P0_M0_0 TCU Hardware Description

TCU Hardware

The Mercury2 and Neptune2 are featured in this manual as it is the current production models. Some older models with this firmware will also be using this manual but the hardware description is not covered here.

Mercury2 is the flagship product with overcurrent protection. Neptune2 is the economy product for low budget applications.

Current Product Models:

Mercury2 - In production

Neptune2 - In production

Please read the sub folders for more information on these hardware.


TCU Layout

Help > TCU Hardware Description >

Hard_Layout_1 Connector Pins

Connector Pins

This chapter indicates what signals is found on each Pin of the harnesses. Note that the sample pictures is the harness connector viewed from the wire side. Or it could be the PCB connector viewed from the Pin side.

12 Way

10 Way

8 Way

6 Way

4 Way

See the sub folders for Product Pin-Outs.


Mercury2 Layout

Help > TCU Hardware Description > TCU Layout >

Hard_Mercury2_ 0 Mercury2 Layout

Mercury2 Layout

1. Yellow LED - 5 Volt Power on

2. Green1 LED - Multi Function - Normally RPM Pulse *

3. Green2 LED - Multi Function - Normally Speed Pulse *

4. Red1 LED - Multi Function *

5. Red2 LED - Multi Function *

6. Coms - Communication Connecter 6 Pin - USB Cable & Programmer

7. P4 - Input and Output Connector 6 Way

8. P1 - Input Connector 12 Way

9. P2 - Positive Output Connector 10 Way

10. P3 - Ground Output Connector 8 Way

11. Mounting Holes 5mm

* These LEDS are not used in Mercury2 for diagnostic during cranking. They are connected to actual driver outputs.


Mercury2 Connector Sample

Help > TCU Hardware Description > TCU Layout >

Main_ Mercury2_Pin_Out_1 Mercury2 Inputs Outputs


Neptune2 Layout

Help > TCU Hardware Description > TCU Layout >

Hard_Neptune2_0 Neptune2 Layout

Neptune2 Layout

1. Yellow LED - 5 Volt Power on

2. Green LED - Multi Function - Normally RPM Pulse

3. Red LED - Multi Function - Normally Speed Pulse

4. Coms - Communication Connecter 6 Pin - USB Cable & Programmer

5. P1 - Input Connector 12 Way

6. P2 - Positive Output Connector 10 Way

7. Mounting Holes 5mm


Neptune2 Connector Sample

Help > TCU Hardware Description > TCU Layout >

Main_Neptune2_Pin_Out_1 Neptune2 Inputs Outputs


Sensor Inputs

Help > TCU Hardware Description >

Hard_Sensors_TCU_0 Sensors and Inputs

Sensors and Inputs

The Spitronics TCU's are designed to interface with standard OEM sensors on common transmissions without modification.

These are the required inputs for the TCU to function correctly:

Throttle Position

RPM

Road Speed

Optional inputs can be added for further functionality:

Shifter Position

Map Selection Switch

Oil Temperature

Specialty Switches: Tiptronic Shift, 2nd Gear Start, Overdrive OFF

See the sub folders for explanation on each different type.


TPS Sensor

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_TCU_TPS_1 Throttle Position Sensor

Throttle Position Sensor

The throttle position sensor is used by the TCU to determine what the driver's intent is. The TCU will use the TPS, engine RPM and road speed to calculate a shift pattern to use. This sensor is very important and must be a stable signal. Most of the time the TCU will operate side by side to the ECU. The TCU can tap into the signal from the existing TPS or as with Spitronics ECU's there is a yellow wire that is installed in the harness for this signal. Do not connect any supply or earth to existing TPS connections. Just the signal wire is connected. See the drawings on this.

Operation:
The TPS is a variable resistor normally around 5K ohms. The signal voltage varies as the wiper moves. It is connected to 5 volts from the ECU and then the wiper signal will produce a voltage between 0 and 5 volts, proportional to the angle of the throttle plate.

Which Pin is which?
Use a multi-meter set to the 20,000 ohm (20 K) range.

· With throttle closed, find the two pins with the lowest resistance between them. They are C & B. The remaining pin is the 5 V pin A.

· With one probe on the 5 V pin A, find the pin whose resistance changes when the throttle moves. This is the Signal pin B.

· The remaining pin is the earth pin C.

This same route can be used on a four pin throttle position sensor, note that only three of the four pins will be connected or one pin may be a switch to ground or 5 Volt as an idle activation switch. The Spitronics ECU does not require this pin.

Pre-load the Sensor
The sensor has a dead band at either end so it must be rotated slightly to move the wiper into the operating range of the sensor.

Connecting the TCU TPS to an existing ECU TPS sensor.

TPS Sample Pin outs:


RPM Sensor

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_RPM_1 RPM Sensors

RPM Sensors

The RPM sensor for the TCU is important to determine the correct shift RPM's. This will keep the engine in its optimum gear at all times. It will also prevent erratic shifting and over-revving of the engine.

The TCU is mostly used together with an ECU so the RPM signal comes from the ECU via a green wire installed in the Spitronics harness. In some cases the RPM signal is tapped into an existing sensor and some cases it requires a sensor to be installed like on old carburetor or diesel engines.

Do not connect the RPM signal to coil negative. It requires a signal converter board to filter out the high voltage. If it is the only option you can use the circuit below. The caps are non-polarized. If you have a MSD device this will not work.

The RPM signal can be any pulse that is equivalent to engine RPM. It can be a bolt on the alternator etc. Some alternators has a 'W' point which can be used in the magnetic input. The pulses can be adjusted up to 60 pulses per engine revolution.

There are three types of sensors. The Inductive sensor, Optic sensor and Hall type sensor. The inductive sensor is a coil wound over a magnet. The teeth of a gear will disturb the magnetic field and that will generate a voltage spike over the 2 wires. Hall and optic sensors both give a square wave output and are treated exactly the same. They have electronic components in the sensor which convert the signals to square wave. The Hall sensor uses magnetic field where optic uses infrared light. In both cases a beam is broken and detected.

Operation of an inductive sensor:
The inductive sensor generates a voltage between the coil wires when the magnetic field strength is changed by a tooth passing the sensors. The sensor must be wired for a Falling waveform, this is best determined using an oscilloscope. The output voltage amplitude increases with increased RPM. The output voltage amplitude also depends on the gap between the sensor and the Tooth. The Minimum acceptable output voltage under cranking conditions is 3v.

Testing an Inductive Sensor:
Inductive sensors has a wired coil with a magnet. The sensor either has two or three wires from which the third wire is not connected to the coil. The sensor coil resistance may vary from 150ohm to 1200ohm. Multi meter polarity will not change the coil resistance reading. A multi meter switched to AC voltage can be used to test the sensor polarity without an oscilloscope. Connect the wires from the coil to the multi meter and move a metal object to the sensor. Look closely at the polarity indicator, if it indicates positive when moving closer and negative when moving away from the sensor then the red wire of your meter is on the positive of the sensor and the black wire of your meter is on the ground of the sensor.

Operation of a Hall Effect Sensor:
Hall sensors use a magnetic field effect to switch between a low voltage (usually 0 V) and a high voltage (5 V or 12 V) to form a 'square wave'. Both the rising and falling edges are valid reference points for the ECU input.

Testing a Hall Effect Sensor:

Hall Effect sensors normally have three wires. A supply wire (5v + or 12v +), an earth wire and a signal out. This sensor is equipped with electronic components that require power to operate. Incorrect connections will cause damage to the sensor. First test for resistance on all the pins and swop the test leads around to make sure it is not an inductive sensor. Put the multi meter on diode test and measure voltage drop over the pins. You should get a voltage drop between 0.5v and 1.9v. This is an indication that it is a Hall Effect sensor.

Now take two 1k ohm resistors and tie one end of each to 12v +. This will ensure that if you connect the supply wrong the sensor will not be damaged. Connect ground to the one sensor pin and the two resistors onto the remaining two pins. Connect the multi meter black wire for the remainder of this test. Connect the multi meter red wire onto any of the other pins. Now move a metal object to the sensor or in the gap and away. If the signal varies between 0v and 12v then this pin might be the sensor signal output. Now put the red wire on the other pin and repeat the metal process. The voltage should not change, but might be less than 12v due to the drop over the resistor. If so then this is the supply pin.

Now change the earth pin to the next and repeat the process. Note that you may get a similar reaction if you have the earth and signal pins swopped, the pin that reacts most to the iron pulse is the signal and the other the earth.

Remember this is a guideline to black box testing and not a failsafe operation.


Speed Sensor

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_Speed_1 Speed Sensors

Speed Sensors

The Speed sensor for the TCU is important to determine the correct shift speed. This will keep the engine in its optimum gear at all times. It will also prevent erratic shifting and over-revving of the engine.

The Speed sensor is normally situated at the tail piece of the transmission. In 4x4 vehicles it is at the back of the transfer case. If there is no sensor available for the TCU, it may be tapped into an existing sensor and some cases a sensor can be installed to sense the prop-shaft bolts. The speed signal can be any pulse that is equivalent to prop-shaft rotation. The pulses can be adjusted up to 60 pulses per engine revolution.

There are three types of sensors. The Inductive sensor, Optic sensor and Hall type sensor. The inductive sensor is a coil wound over a magnet. The teeth of a gear will disturb the magnetic field and that will generate a voltage spike over the 2 wires. Hall and optic sensors both give a square wave output and are treated exactly the same. They have electronic components in the sensor which convert the signals to square wave. The Hall sensor uses magnetic field where optic uses infrared light. In both cases a beam is broken and detected.

Operation of an inductive sensor:
The inductive sensor generates a voltage between the coil wires when the magnetic field strength is changed by a tooth passing the sensors. The sensor must be wired for a Falling waveform, this is best determined using an oscilloscope. The output voltage amplitude increases with increased RPM. The output voltage amplitude also depends on the gap between the sensor and the Tooth. The Minimum acceptable output voltage under cranking conditions is 3v.

Testing an Inductive Sensor:
Inductive sensors has a wired coil with a magnet. The sensor either has two or three wires from which the third wire is not connected to the coil. The sensor coil resistance may vary from 150ohm to 1200ohm. Multi meter polarity will not change the coil resistance reading. A multi meter switched to AC voltage can be used to test the sensor polarity without an oscilloscope. Connect the wires from the coil to the multi meter and move a metal object to the sensor. Look closely at the polarity indicator, if it indicates positive when moving closer and negative when moving away from the sensor then the red wire of your meter is on the positive of the sensor and the black wire of your meter is on the ground of the sensor.

Operation of a Hall Effect Sensor:
Hall sensors use a magnetic field effect to switch between a low voltage (usually 0 V) and a high voltage (5 V or 12 V) to form a 'square wave'. Both the rising and falling edges are valid reference points for the ECU input.

Testing a Hall Effect Sensor:

Hall Effect sensors normally have three wires. A supply wire (5v + or 12v +), an earth wire and a signal out. This sensor is equipped with electronic components that require power to operate. Incorrect connections will cause damage to the sensor. First test for resistance on all the pins and swop the test leads around to make sure it is not an inductive sensor. Put the multi meter on diode test and measure voltage drop over the pins. You should get a voltage drop between 0.5v and 1.9v. This is an indication that it is a Hall Effect sensor.

Now take two 1k ohm resistors and tie one end of each to 12v +. This will ensure that if you connect the supply wrong the sensor will not be damaged. Connect ground to the one sensor pin and the two resistors onto the remaining two pins. Connect the multi meter black wire for the remainder of this test. Connect the multi meter red wire onto any of the other pins. Now move a metal object to the sensor or in the gap and away. If the signal varies between 0v and 12v then this pin might be the sensor signal output. Now put the red wire on the other pin and repeat the metal process. The voltage should not change, but might be less than 12v due to the drop over the resistor. If so then this is the supply pin.

Now change the earth pin to the next and repeat the process. Note that you may get a similar reaction if you have the earth and signal pins swopped, the pin that reacts most to the iron pulse is the signal and the other the earth.

Remember this is a guideline to black box testing and not a failsafe operation.


Shifter Sensor

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_Shifter_1 Shifter Sensors

Shifter Sensors

The Shifter sensor is important for the TCU to put the correct shift pattern on the solenoids for other positions than forward gears. It also tells the TCU which gear may not be exceeded. For example if the shifter is in position 2, the TCU will not shift above 2nd gear unless it is allowed in that position.

The Shifter sensor is normally situated on the transmission where the shifter lever enters the transmission. Some transmissions do not have this sensor and it may be situated in the shifter itself. Other transmissions has hydraulic switches inside the transmission. If there is no sensor available you may connect the sensor wire to the reverse light or a reverse ground switch. The TCU must know when it is in reverse to prevent shifting forward gears.

There are different types of sensors. Some shifter sensors may be analogue and some may be digital. The TCU requires an analogue signal that is calibrated. If it is a digital sensor, Spitronics has a converter board that convert the signal to analogue.

Spitronics Shifter sensor:
The sensor in the Spitronics shifter convert the digital position switch to analog resistance by a series of resistors with progressive values. The TCU will measure the resistance and then calculate in which position it is. Note that Neptune2 has a built in pull-up resistor and for Mercury it must be added afterwards. Usually it will be incorporated in the harness.

GM Shifter sensors:
The transmissions have pressure switches that connects to oil channels inside. The switch pattern indicates in which position the lever is situated. Spitronics has a converter board with resistors to convert this digital pattern to an analog signal. The drawing below is for the 5L40E.


Map Selection Switch

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_Map_1 Map Selection Switch

Map Selection Switch

The TCU can save up to 4 different maps with a Map selection switch. This switch can be calibrated in the software. It is also a digital switch that is converted to analog signal with resistors. Note that Neptune2 has a built in pull-up resistor and for Mercury it must be added afterwards. Usually it will be incorporated in the harness. See the wiring diagrams.


Oil Temperature Sensor

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_Oil_1 Oil Temperature Sensor

Oil Temperature Sensor

The Mercury2 TCU can sense the transmission oil temperature and make line pressure adjustment accordingly. This will ensure the shifting is smooth even if the transmission is still cold. The sensor is situated inside the transmission and the pins is connected to the main connector. The sensor is mostly a NTC resistor. There are two inputs for different values of the NTC sensor. One is a 2K input and the other a 10K input. Depending on the type of sensor the wiring diagram will indicate the correct one to wire.

Note that Neptune2 have temperature sensor control only for the Advance class and Ver 3.3A.


Tiptronic Buttons

Help > TCU Hardware Description > Sensor Inputs >

Hard_Sensor_Tiptronic_1 Tiptronic Switches

Tiptronic Switches

Each TCU has the ability to wire 2 switches for Tiptronic functions. When the Map is set to operate in Tiptronic mode, these buttons will give the driver the option to shift the transmission manually to his command. On the Ver 3.3A firmware their function can we changed to overdrive and 2nd gear start,

There are a couple of variations to the buttons but all wire in the same connections on the TCU. Please view the relevant drawings for that. Spitronics als0 sell a remote wireless version to build into the steering wheel and without the need for connecting wires.


Driver Outputs

Help > TCU Hardware Description >

Hard_Drivers_TCU_0 TCU Drivers

TCU Drivers

The Spitronics TCU's were designed to drive most standard solenoids found in transmissions directly. Some are On/Off solenoids that is switched with 12V DC and other are control solenoids that is pulsed with a Duty cycle or PWM Pulse Width Modulation pulse. The control solenoids normally has a lower resistance and is never controlled at 100% duty cycle. This may damage them. Other drivers are used for dashboard LED's and Speedometers.

See the sub folders for explanation on each different type.


Shift Solenoids

Help > TCU Hardware Description > Driver Outputs >

Hard_Drivers_Shift_1 Shift Solenoids

Shift Solenoids

These solenoids are normally On/Off solenoids and they are switched on with 12V DC. In some cases they may be earthed inside the transmission so the TCU must switch 12 volt out to switch them on. Other cases may be the common wire comes out of the transmission. In this case the TCU can switch ground signal and the common wire is tied to positive 12 volt via a power relay. Neptune2 have only positive drivers where Mercury2 has positive and negative drivers.

These solenoids normally are high impedance 10 to 20 ohm and draw around 1 Amp current. The transmission my use a couple of these solenoids in different combinations to achieve the different gears. If a Mercury2 is used then some of these solenoids may require the freewheel diode. See the two different way to connect the diode. In most of our readymade harnesses these diodes are already wired in and some have an external diode board. The Neptune is a dedicated TCU so diodes is built into the TCU.


Control Solenoids

Help > TCU Hardware Description > Driver Outputs >

Hard_Drivers_Control_1 Control Solenoids

Control Solenoids

These solenoids are normally duty cycle or pulse with controlled (PWM) solenoids. In most cases these solenoids have a common connection point that could be positive or negative. Some are earthed in the transmission case which means they can only be driven by a positive signal. Neptune2 have only positive drivers where Mercury2 has positive and negative drivers.

These solenoids normally are low impedance 3 to 6 ohm and draw around 2 - 3 Amp current. The transmission my use a couple of these solenoids to control all kinds of pressures. The Line pressure on most transmissions is duty controlled according to TPS positions. The Lockup clutch on most transmissions is also duty controlled for smooth shifting. Some transmissions have shift control solenoids that help with smooth shifting.

The control solenoids require a free-wheel diode to filter out back flow voltage spikes. See the two different way to connect the diode. In most of our readymade harnesses these diodes are already wired in and some have an external diode board. The Neptune is a dedicated TCU so diodes is built into the TCU.

See the specific wiring diagrams for connections of these solenoids.


Speedometer Output

Help > TCU Hardware Description > Driver Outputs >

Hard_Drivers_Speed_0 Speedometer Output

Speedometer Output for Instrument Cluster

The Speed output can be used to drive an external speedometer or data logger. This output is a square wave signal and has adjustable pulses to calibrate external speedometers. See the tuning software for more details.

See the sub folders on how to connect Mercury2 or Neptune2 to these speedometers.


Mercury2

Help > TCU Hardware Description > Driver Outputs > Speedometer Output >

Hard_Drivers_Speed_1 Mercury2 Speedometer

Mercury2 Speedometer Wiring

The Mercury2 output is a ground square wave signal with a 1K pull-up resistor to 12V. Most digital speedometers can be connected directly but there are 2 main types. A third type is stepper control speedometers that is controlled by the OEM TCU. This one cannot be done and it is best to keep the OEM TCU running by providing it the normal pulses it is used to.

Digital Speedometers

This type can be connected directly on the ECU Speed output.

Magnetic Pickup Speedometers

The type requires a spike circuit that is based around earth. There is no fixed circuit that will work with all of them. Since the 12 volt square wave only goes to earth it does not trigger the speedometers. In this case a 10uF 25V capacitor can be used to isolate the DC which will generate a 6 volt spike circuit around earth. If you use a polarized cap put the positive to the TCU side. If their ref wire is 12 Volt you may need to turn the cap around. If you use a non-polarized cap you should be ok both sides.

You may need to add a 1K resistor in option 2 for their electronics. In some cases they have a reference voltage on the sensor.

In some cases you may require a 1K resistor on both sides as in option 3. This to ensure more energy through the capacitor. You may also need to tweak the capacitance in some cases. There is no fixed circuit that will work with all of them.


Neptune2

Help > TCU Hardware Description > Driver Outputs > Speedometer Output >

Hard_Drivers_Speed_2 Neptune2 Speedometer

Neptune2 Speedometer Wiring

The Neptune2 output could be a positive square wave signal that has to be pull-down with a 1K resistor to ground. On the older programs we used one of the drivers that were not used. On Ver 3.3A Neptune2 use one of the negative GP outputs. This one will be the same as the Mercury2 wring except it must have the 1K pull-up added externally. Mercury2 has a built-in pull-up.

For the positive driver the digital speedometers can be connected directly but there are 2 main types. A third type is stepper control speedometers that is controlled by the OEM TCU. This one cannot be done and it is best to keep the OEM TCU running by providing it the normal pulses it is used to.

Digital Speedometers Positive driver

This type can be connected directly on the ECU Speed output.

Magnetic Pickup Speedometers Positive driver

The type requires a spike circuit that is based around earth. Since the 12 volt square wave only goes to earth it does not trigger the speedometers. In this case a 10uF 25V capacitor can be used to isolate the DC which will generate a 6 volt spike circuit around earth. If you use a polarized cap pot the positive to the TCU side. If their ref wire is 12 Volt you may need to turn the cap around. If you use a non-polarized cap you should be ok both sides.

You may need to add a 1K resistor in option 2 for their electronics. In some cases they have a reference voltage on the sensor.

In some cases you may require a 1K resistor on both sides as in option 3. This to ensure more energy through the capacitor. You may also need to tweak the capacitance in some cases. There is no fixed circuit that will work with all of them.


General Purpose Outputs

Help > TCU Hardware Description > Driver Outputs >

Hard_Drivers_1 General Purpose Outputs

General Purpose Outputs

The general purpose outputs can be configured to perform several functions. These functions can be to control electric cooling fans, shift lights, battery charge warning etc. to name but a few. Some of these functions will be on/off control while other may be duty cycle control. The drivers may not be strong enough to perform certain functions and has to be wired via a relay. Please make sure about the specifications of your product and the correct wiring for it.

Wiring for a relay and a Negative GP output.

Note that the power that supply the relay at Pin 86 must be switched by the ECU or the ignition. Always wire the smallest fuse in the main power close to the battery in case of short circuits. Note some relays do have a free wheel diode built in. If not it is always good advice to add one externally. It will prevent the power off spike to feed back to the TCU.

Wiring for a relay and a Positive GP output.

Always wire the smallest fuse in the main power close to the battery in case of short circuits. Note some relays do have a free wheel diode built in. If not it is always good advice to add one externally. It will prevent the power off spike to feed back to the TCU.

Wiring for resistive direct accessories.

Note that the power that supply the accessories must be switched by the ECU or the ignition. See the different wiring for positive and negative outputs. In this method you are drawing current directly from the driver. Make sure in the specifications that you do not exceed that specific drivers capabilities it can be damaged easy. If your load is inductive then you must add the free wheel diode. If it is resistive then you can omit the diode.

Wiring for duty cycle controlled inductive loads.

Note that the power that supply the accessories must be switched by the ECU or the ignition. The Free Wheel diode is important to filter out feedback interference and must always be connected with the stripe on the positive wire. If this is wrong it will create a short and driver damage may occur. See the idling control section on different idle valves and their connections with different products. Note to use a diode with the same current capacity as the device current that is connected.


TCU Software Desciption

Help >

Soft_P0_M0_0 TCU Software Description

Hyperspace Software

This software is used to adjust all parameters in the TCU.

There are information, setup, screens, graph and real time screens.

Please read the sub folders for more information on these hardware.


Startup Screen

If you open the software without a device connected, this screen will be displayed. See below all the function that can be set from here.

Tuning

Settings is to set up the program and communications to operate correctly.

Exit is to quit the software.

Connect is to connect or dis-connect to the TCU,

Here you can change the background color.

This device settings are handling communication to the laptop. If they are to low communication may become unstable. If too high operations may become slow. Max poll error counter is used for Bluetooth devices as their coms is sometimes interrupted by Windows. If you lose communications and the upload block start to be a hindrance increase this value. Otherwise leave it on 0.

The software will do auto saves at time intervals. The intervals van be adjusted here. It will also have a max display list on the open file menu. Then the software will also make a backup copy of each download to TCU and it is called device saves. File location specify where these files are saved.

Quit the settings menu.

File Menu

This menu is to open the different saved maps or to save a map from a device onto the pc.

Help

This is the help and information menu.

At the bottom left corner is a connect button and also a tab that show the status and TCU that are connected.


Toolbar

Toolbar Shortcut Buttons guide you to basic operations. Some of them also have Hot-keys that activate or deactivate them with one key stroke. Green background means activated.

Hide button - H

This button is used to show all lines on a graph or hide the ones that is not selected. It is handy if graphs are on top of each other to see each one separately.

Easy tune - E

This is a very handy feature if you have to lift graph dots simultaneously. There are different algorithms. That will only move dots from the tuning bar.

Initialise will make the whole line the same value as where the green tune bar cross

When easy tune is not off then SHIF-Z will initialise every dot right from the bar to the same value as the bar.

Mouse on - M

This is handy to use mouse tuning on the graphs or disable it for arrow tuning.

Real-Time tracking - R

This is a very handy tool to move the green tuning bar with the real time bar of a graph. It is used with Easy tune Right then you can focus on other things and still adjust where the TCU use the values at that time.

Connect Button

This indicates if the unit is connected. If you click on it then it will toggle to the other option.

Map Lock Option

This is handy to lock tuning maps so that the customer cannot change parameters. It is also a feature to clone the device with calibrations from another device. This button is only visible in MAP 1.

When you are finished tuning and you want to lock your TCU you can click on the Lock button. Enter your 6 digit password twice and press ok.

Your device is locked. Close the software.

When you connect to a TCU that is locked the software will require this password. It does not matter in which map the TCU is at the time.

If you enter the password it will unlock the TCU for as long as the software is connected to the device. No matter in which map it is at the time when you switch on. If you save map 1 then the password will be cleared and the TCU will be open for future connections. If you don't save map1 and cycle the power then the password will be reinstalled.

If you don't have the lock password you can press Cancel. Then you can load an open map into the device to unlock it. Note that this will clear all 4 maps and clone the device calibrations to the map that you load. You will have to start tuning all over again.

Open Map file

This is to load a Map file from the hard disk into the TCU.

Save Map file

This is to save a Map file from the TCU onto the hard disk.

Save to TCU

If you made changes you can save them permanently in the flash with these buttons. You can also press CTRL-S for save or click on the yellow flashing LED.

Upload TCU memory

This is not used much but it will refresh the software with the TCU memory so that both are in sink.

Quit button

Enough said

Communication LED

This indicates the status of the device.

Flashing green means TCU flash memory and PC memory are the same. No save is required.

Flashing yellow means you have changed parameters in the device but you have not made them permanent by saving to the flash memory.

Flashing red means no communication to the TCU.

Copyright © 2013. All rights reserved.


Real Time Display

Help > TCU Software Desciption > Startup Screen >

Soft_P0_M0_C Real Time Display

Real-Time Display

This block displays all the sensor values as they change in the TCU. There is no inputs but you may change the apearnce to your liking by double clicking on Speed, RPM, Oil and Battery signals.

Gear indication

This will display the actual gear that the TCU is in.

Shifter

This display the position of the shift lever. The shifter sensor is responsible for this signal. It may indicate P,R,N,D,4,3,2,1 depending on the specific transmission.

Map Number

This displays the the Map number that is selected by the TCU. The Map Switch sensor is responsible for this signal.

Tiptronic Max

This display what the maximum high gear is that is allowed by the TCU. It is manipulated by the tiptronic buttons and tiptronic selections.

Tiptronic buttons

If tiptronic options is on then these buttons will indicate red when they are pressed.

Lockup

This LED indicates that lockup clutch is engaged.

Low Range

This LED indicates that low range is engaged is engaged.

Overdrive

This LED indicates that over drive is engaged.

Second Gear Start

This LED indicates that the TCU will pull off in second gear.

Speed Indication

This setting will scale the gage maximum.

RPM Indication

This setting will scale the gage maximum.

Oil Temperature Indication

TPS Indication

Battery Volts Indication

Copyright © 2013. All rights reserved.


Status Bar

Help > TCU Software Desciption > Startup Screen >

Soft_P0_M0_D Status Bar

Status Bar Display

This block at the software bottom displays all kinds of information messages, warnings and fault codes in the right corner. Also the connection status in the left corner.

Copyright © 2013. All rights reserved.


TCU Information

The device information screen displays vital information regarding the Spitronics TCU that has been connected. Note that Firmware is the program that is loaded into the TCU to make the electronics operate in a specific way. This is normally a HEX file which is loaded into the product by a USB debug programmer. Software is the tuning interface that runs on the computer and it is used to tune the product's parameters.

Serial Number

This is a unique number assigned to each product. It is saved on maps and recognized by the database on its status etc.

Hardware release

Displays which type of device has been connected to the software. In this case and a Neptune2 Transmission Control Unit.

Hardware class

Displays the Hardware class of the product that has been connected to the software. The hardware class will determine which firmware can be uploaded onto the product. This feature allows the unit to open certain or all functions of the electronics. Note that the amount of features determines the price of the unit. This feature can be changed over on the internet to allow for remote upgrades of the unit. The hardware classes are as follows;

1. Micro

2. Basic

3. Standard

4. Intermediate

5. Advance

6. Ultimate

Product Release

The product release section displays the function of the device connected. E.g. Engine control unit, Transmission Control unit etc. The Mercury2 hardware can be used with different firmware to control different applications like ECU, TCU, TXW etc. It is used by the software to identify if the correct firmware is connected.

Firmware Class

Displays the class of the firmware that has been downloaded onto the device. Each firmware program supplied will have a certain class according to the features used. You may load any firmware for a specific product into the unit as long as the firmware class does not outrank the hardware class. The firmware classes are as follows;

1. Micro

2. Basic

3. Standard

4. Intermediate

5. Advance

6. Ultimate

Program Number

Displays the current firmware program that has been downloaded onto the device. The program is identified by a program number and description. See the firmware list of programs for the TCU.

Protocol Version

Displays the current protocol version number between the firmware and the PC software. This must be the same for the hardware and software to communicate. The firmware will indicate to the software which version program to open.

Firmware Version

Displays the sub version of the current firmware that has been downloaded into the device. It is an alphabetic number and has no effect on the protocol version used. This version is used when corrective firmware is released. Always use the latest version available.

Program Restriction

Displays the Firmware number which the TCU is locked to. If it says No Restriction it means that any TCU program for that TCU can be programmed into the unit, provided it does not outrank the hardware class. If there is a number, it means the TCU is locked to a specific program and only that program may be loaded onto the unit. This is for sponsored or specials which was approved by the manufacturer.

On the top bar you will find the product software version. Note that version 3.3 will be standard with the Firmware version 3.3.

The first 3 is version 3 PC Software.

The second 3 is the protocol version between the PC software and the firmware. When new features are programmed into the unit, this protocol version will change in the PC software and in the Firmware.

The .0 at the end is a sub version and has no effect on the firmware. This version will indicate corrective or improved PC software. Always use the latest version available.


TCU Setup

Help > TCU Software Desciption >

Soft_P2_M0_0 TCU Setup

TCU Setup

This is the Setup page of all the parameters in the TCU to operate the transmission. Note that the calibrations is done in Map 1 only and is saved separately from the tuning Maps. This is to prevent parameters and calibrations from changing when different maps are loaded into the TCU as well as having to do all the calibrations for each map. The TCU comes with parameters that is not necessary calibrated for your vehicle application as they are all mostly unique. So do go through the calibrations first before tuning your maps.

Values that are saved in the device are:

TPS Calibration

Speed Calibration

Pulses/RPM

Speed Sensor Pulses/RPM

Speedometer Output

Shifter Sensor Select & Calibration

Map Selection Select & Calibration

See the sub folders for explanations.


General Settings

Help > TCU Software Desciption > TCU Setup >

Soft_P2_M1_0 General Settings

General Settings

This are settings that customize the firmware to the liking of the driver.

See the sub folders for explanations.


Map Information

Help > TCU Software Desciption > TCU Setup > General Settings >

Soft_P2_M1_A Map Information

Map Information

The Map information screen, Name Model and Transmission, contains info for the TCU application for a specific vehicle. This helps the tuner to recognize previous work and tuning data. It is saved in the TCU and also in PC maps. It does not affect any tuning on the engine.

Map no - The firmware consists of 4 maps for different transmission setups or tuning algorithms. This is only an indication and the map cannot be forced on this page. The map is determined by the Map Selection switch that is selected.

NB!! Note that the sensor calibrations can only be done in Map number 1.


General Purpose Outputs

Help > TCU Software Desciption > TCU Setup > General Settings >

Soft_P2_M1_B General Purpose Outputs

General Purpose Outputs

There are two general purpose GP outputs to configure for several different functions. These outputs can be configured to use the analogue signals and switch a relay on or off when certain limits have been reached.

Example: RPM for a shift light, Oil temperature to control a fan relay or Shifter to switch a reverse alarm on etc.

This is a generic block so you first need to select which output will be used.

The appropriate limit values are set in the min and max blocks. For example for a shift light select RPM and set the minimum value at 5000 RPM when the shift light must come on. If the RPM go higher than 7000 RPM the shift light will switch off. If the min value is smaller than the max value, the relay will switch on between the limits and off outside the limits. If the minimum value is higher than the max value, the relay will switch off between the limits and on outside the limits.

Note also that the relay will switch on or off at the set value +/- 1 increment. For the above example the relay will switch on at 5100 RPM and off at 7100 RPM when the RPM increase, and on at 6900 RPM and off at 4900 RPM when the speed decrease. This means that if an RPM value hovers around a limit, there is a two value increment dead band that ensures that the relay is not switching erratic.

Note! If you don't use these outputs, select Not Used so that valuable processor time can be saved. On certain firmware these outputs will be disabled as their drivers may be used in the application for other features. These outputs are not meant to draw high current so for fans and lights use them to switch on a relay that can handle the current. See the drawings and specifications for each product.

The following values may be set for the different conditions:

RPM - RPM/min 100rpm increments

Speed - road speed at 1 Km/h increments

TPS - percentage at 1% increments

Oil Temperature - degrees at 1°C increments

Gear - select a number of gears

Shifter - select 1 2 3 4 D N R P

1 2 3 4 5 6 7 8

Map No - select a Map from 1 to 4


Speedometer Output

Help > TCU Software Desciption > TCU Setup > General Settings >

Soft_P2_M1_C Speedometer Output

Speedometer Output

Speedometer Output

This feature is used for Speedometer Calibration. You can adjust the number of output pulses per prop shaft revolution. This is handy for engine conversions.

For more detail on the settings see the sub folders.


Engine Settings

Help > TCU Software Desciption > TCU Setup >

Soft_P2_M2_0 Engine Settings

Engine Settings

See the sub folders for explanations.


Engine Configuration

Help > TCU Software Desciption > TCU Setup > Engine Settings >

Soft_P2_M2_A Engine Configuration

Engine Configuration

Cylinders - Number of cylinders on the engine can be selected in this block. It is not used by the current firmware but reserved for future development of different firmware.

Idle RPM - Idle RPM of the engine can be typed in this block. It is used by the firmware to release the lockup clutch if the revs fall below this value plus 200 RPM. Example if you select 800 the lockup will release below 1000 RPM's.

Engine Max RPM - Maximum RPM of the engine can be typed in this block. It is used to scale the gear profile graphs so that the whole graph can be used for tuning. It also calibrate the maximum scale of the analogue RPM gauge.

Pulses / RPM - This setting is the number of RPM pulses per engine revolution that the TCU receives. It is used for correct revolution calculation and display.


Transmission Settings

Help > TCU Software Desciption > TCU Setup >

Soft_P2_M3_0 Transmission Settings

Transmission Settings

Gears - This setting tells the software how many forward gears the transmission has. In some firmware profiles, this setting is forced and cannot be changed. The user may select fewer gears for specific profiles like low range etc. if he does not want to shift to higher gears.

Converter Stall Speed - This setting is used in some firmware programs to control the lockup minimum engage RPM's.

Maximum Speed - This setting is mainly used to adjust the maximum speed calibration of the analogue speedometer display.

Speed Sensor Pulses / RPM - This setting is the number of pulses per one prop shaft revolution received from the Speed sensor. It is used for correct speedometer calculation in conjunction with the Speedometer Calibration value. You may see this as a course adjustment but the main advantage is that uneven pulses may be used like a 36-1 gear where you would then use a value of 35 pulses.

Lockup TPS Low - When the TPS value drop below this setting in %, the lockup will be switched off. This will smooth the down shifting of the Transmission. This features can be set 0% and 100% to deactivate if you require the lockup to stay on.

Lockup TPS High - When the TPS value rise more than this setting in %, the lockup will be switched off. This will protect the TCC with hi torque engines. This features can be set 0% and 100% to deactivate if you require the lockup to stay off.

Shift Solenoids - This setting tells the software how many shift solenoids the transmission has. In most firmware programs this setting is forced and cannot be changed.

Duty Control Solenoids - This setting tells the software how many control solenoids the transmission has. In most firmware programs this setting is forced and cannot be changed.

Transfer Box Ratio - This setting tells the software what the transfer gearbox ratio is so that when low range is selected the speed settings on the gear profiles can be adjusted.

Oil Temp Graph Count - This setting tells the software how many oil temperature graphs is active. In most firmware programs this setting is forced and cannot be changed.


Sensor Settings

Help > TCU Software Desciption > TCU Setup >

Soft_P2_M4_0 Sensor Settings

Sensor Settings

See the sub folders for explanations.


Active Sensors

Help > TCU Software Desciption > TCU Setup > Sensor Settings >

Soft_P2_M4_0A Active Sensors

Active Sensors

This block let the tuner select the different sensors that is used for his application. Not all the sensors are used but each one has different features that makes the transmission perform at its best. If a sensor is not used, leave the block unchecked. This will free up valuable processor time. Also make sure the wiring to that sensor is properly isolated as there is power on the leads that could short circuit, damaging the TCU as a result. Some of the sensors cannot be altered or will be forced on or off by the firmware.

NB! Note that all these calibrations must be made in Map 1 as they will be the same in the other Maps,

Calibration

Some of the inputs can be calibrated by clicking on the calibrate button. This allows for a wider range of sensors to be used in the software.

RPM Sensor

This input is forced on and essential to the operation of the TCU. It can be any pulse configuration even uneven pulses. As long as you enter the number of pulses per one revolution of the engine. In some conversions you may add a sensor that scans a bolt on the crank or camshaft as the engine may be of a carburetor type. It is not possible to control the engine without this signal. This signal is normally connected on the ECU.

Battery

This input is not used in the TCU control parameters at this stage but merely an indication for the tuner. It may be used on the GP outputs to switch on a battery low lamp which indicates that the alternator is not charging.

TPS

This sensor indicate to the TCU what the driver's intent is. It is also used for features such as kick down, lockup control and smooth shifting. It is not possible to control the transmission without this sensor. This signal normally is connected from the ECU. For the TCU to operate correctly this sensor needs to be calibrated. Click on the calibrate [image] button left of the TPS check box and do the following procedure:

Press the fuel pedal in completely and release the pedal completely. The Min and Max values will be indicate the range of the TPS.

The TPS value must increase with throttle depression. If it is decreasing, click on Polarity to select Negative. This feature is normally used where the original TCU is still connected and wiring cannot be altered. In this case you connect only the TCU TPS signal wire to the ECU TPS signal wire. Do not connect the ground or 5 volt signal wires but isolate them to prevent shorts.

Click the Save button. You may now test the TPS signal by pressing the pedal in and releasing it. The TPS real time value should operate from 0 to 100%. Then click on the Save to TCU [image] button to make the changes permanent.

Speed

This sensor indicate road speed to the TCU. It is also used for features such as kick down, gear down and smooth shifting. It is not possible to control the engine without this sensor. This signal is normally connected at the back of the transmission to measure prop shaft rotation. This sensor is set up in 2 parts. Firs input the number of pulses per one prop shaft rotation in the [image] block. Click on the calibrate [image] button left of the Speed check box.

Change the offset value till the speed value reads the same as the car, speedometer or as a GPS reading. Click the OK button. Then click on the Save to TCU [image] button to make the changes permanent. If you are not sure what the pulses value is then start with a 110 value here and adjust the speed sensor pulses/RPM till the speed is as close to real speed. Then do offset value again. If the offset value are very low or very high then speed calculation becomes erratic.

Oil Temperature Sensor

This sensor indicate transmission oil temperature to the TCU. It is not used in all TCU firmware but it does help to smooth shifting when the transmission is cold. There are 2 selections for different sensors. Normally 2k or 10k which alter the sensor calibration. Note that this does use a different wire in the harness as well. Select None if it is not used.

This sensor can be calibrated but it is only an offset adjustment to make it accurate at a critical temperature. Most firmware is pre calibrated for that sensor on the TCU. Click on the calibrate [image] button.

Now adjust the offset value to match your accurate thermometer. Click the OK button. Then click on the Save to TCU [image] button to make the changes permanent.

Low Range Switch

This feature indicate to the TCU when low range is selected. This will do an automatic adjustment on the speed values entered in the gear shift profiles. The arrow will select the signal logic for low range. Note that light on the real-time bars must be green when low range is engaged.

Also set the ratio for the transfer box in the [image] block. Check the wiring diagrams to connect it properly.

Overdrive Switch

Overdrive function was used on the older vehicles but today tiptronic buttons took this to the next level where you could select any gear as the highest in certain driving conditions. But you may select the overdrive function if you prefer it. Note that this function will disable tiptronic and then the tiptronic upshift button becomes the overdrive button. If you don't wire in a button you can still use the overdrive function with the map switch to enable or disable overdrive on different map. You may also use the Gears function [image] to select the max gear. The arrow will select how the overdrive is activated on start-up in different maps. If it is on top arrow then it means that the transmission will go to the high gear. If it is on down arrow then the transmission will go to high gear -1. If the overdrive button is pressed and released the overdrive function is toggled on or off. On Mercury there is an output that could be wired to a lamp indication for the dashboard. Alternatively the dash displays may indicate these functions. Note that if you do use an OEM overdrive switch check the wiring recommendation for the specific TCU. They differ between the products.

Second Gear Start

This function is very handy in snow or slippery roads to minimise torque and also used in low range driving. Note that this function will also disable tiptronic and then the tiptronic downshift button becomes the second gear button. If you don't wire in a button you can still use the second gear function with the map switch to enable or disable second gear pull-off in different maps. The arrow will select how the second gear is activated on start-up in different maps. If it is on top arrow then it means that the transmission will pull off in second gear. If it is on down arrow then the transmission will pull off in first gear. If the second gear button is pressed and released the second gear function is toggled on or off. On Mercury there is an output that could be wired to a lamp indication for the dashboard. Alternatively the dash displays may indicate these functions. Note that if you do use an OEM overdrive switch check the wiring recommendation for the specific TCU. They differ between the products.


Shift Base Algorithm

Help > TCU Software Desciption > TCU Setup > Sensor Settings >

Soft_P2_M4_B Shift Base Algorithm

Shift Base Algorithm

This block is for future use on specific firmware.


Tiptronic Options

Help > TCU Software Desciption > TCU Setup > Sensor Settings >

Soft_P2_M4_C Tiptronic Options

Tiptronic Options

This block gives the tuner options on how he would like to set up the tiptronic operation and LED indication for each Map. This is useful for modes like towing, racing and low range. If it is used as automatic only without buttons, select Not used. These modes may be set up differently for each of the 4 maps.

Automatic

This is a standard feature on most cars today. The driver use the tiptronic buttons to set the desired gear for the TCU. This does not control the shift directly but merely the indication to the TCU which gear should not be exceeded during driving. This is useful in a pass where you go uphill and need a lower gear. If you release the throttle in a corner the TCU will select a higher gear only to gear down again when you press the throttle after the corner. There is no different tuning on the gear profiles for automatic.

This desired gear is indicated on the software by the yellow letter called Tiptronic Max.

When you press the downshift button the TCU will downshift one gear if it is allowed. The max indicator will then indicate the current gear that you are in. Another press will downshift one gear again if it is allowed and the max indicator will follow. If a gearshift is not allowed then the TCU will do nothing. This may be the case when the speed for the lower gear is too high. If you slow down the TCU will shift down but leave the max indicator where it is, then it will upshift to that indicator value but will not shift higher. Should the driver press upshift button the max indicator will increment one gear per push till highest gear is reached.

So in short explanation you can tell the TCU what is the highest gear that it is allowed to shit to. With the downshift feature when the engine labor or you want to preselect lower gear for an upcoming hill.

Should he however accelerate to maximum revs where the marker pass the blue top dot on its right side, the transmission will select a higher gear to prevent over revving. It will also set the Tiptronic Max to the current gear.

If the driver is stationary and press the down button, the desired gear select will be [image] . Then he can dictate up gears at higher rpms with the upshift button.

Semi-automatic

This feature is more direct and will shift the transmission directly if a legal shift can be performed. This mode is used for towing where it is difficult to set the transmission up for different loads. Here there are changes on the profile maps to move the up and down shift points further from normal automatic mode. This means the middle dot of the blue line moves more to the right and the middle dot of the brown line move more to the left. This will cause the engine to go higher in revs before upshifting and lower in revs before down shifting. Then the driver can decide when a shift is required and shift the transmission with the buttons. The TCU will shift up and down when low speed or high RPM's is achieved, making the transmission still semi-automatic and drivable.

Manual

This mode is completely manual. It is used for off-road driving or Dyno tuning. The driver can select the gear while standing still and then the transmission will pull off in that gear. This is useful in sand and snow when the driver need to pull off in 2nd gear. The transmission will stay in that gear even if the engine over-rev. This is useful in 4x4 mode where a steep slippery hill must be crossed. The lockup clutch remains in automatic mode and will only engage under low load conditions. Remember that when driving in loose sand or on the Dyno. The transmission may over-heat due to the lockup that is not engaged and creating heat in the circulating oil. You may need to back off the power to engage the lockup and then put the power back on.

LED

The 2 LED's on the dashboard may be selected to indicate in function mode where the green is the lockup clutch and the red is the desired gear selected or in gear mode where the 2 indicate in binary code which gear is selected by the TCU. This function is disabled in Ver 3.3A firmware.


Shifter Sensor

Help > TCU Software Desciption > TCU Setup > Sensor Settings >

Soft_P2_M4_D Shifter Sensor

Shifter Sensor

This block will set up the type of shifter position sensor on different transmissions. Some will be blanked out by the firmware and other will leave the installer choices on his method of wiring. Note that the TCU is mostly concern in reverse so that it will prevent shifting gears as the shift solenoids as this action will put some transmissions in neutral or lock mode which can be detrimental.

Pot Input

The software will indicate all the shifter positions if the TCU has a signal representing all the different positions. This selection is for shifters with a potentiometer to indicate the lever position like the Spitronics Shifter or some Ford shifter models. Spitronics also manufacture a resistor encoder board for shifters with complex logic selector switches. The advantage is that the TCU only requires one input for multiple switches. This values for the shifter can be calibrated while for some firmware it will be pre-calibrated. If this button is not available it is either Pre Ver 3.2 firmware or the TCU is currently on a Map greater than 1. In the last case click on 1 Map do the calibration and then click on 4 Map Switch before you save the data to TCU. The older versions was preprogrammed and could not be changed. Note than most transmissions require the shifter sensor to prevent solenoid operations in certain shifter positions and for the transmission to operate correctly.

Reverse Low

This setting is used where a switch is mounted on the shifter which gives a ground signal when reverse is selected. Note that the software will only indicate drive or reverse.

Reverse High

This setting is used where the signal is connected to the reverse light between the switch and the bulb. It is a positive signal that switch on the reverse lights. The bulbs need to be working as they act as pull down resistors. Note that the software will only indicate drive or reverse.

Click on this button to enter calibration mode.

If your shifter or transmission has only 3 positions, 3 & 4 will be hidden.

Put the Shifter in Park. As a test you can go through all the positions to position up to 1st in sequence to see if the real time value change significantly. Note that the value must change for each position of the shifter. Some shifters has the same value in park and neutral then only park will be indicated on the software.

Put the Shifter in Park and click on P. It will become green. Go through the other positions R, N, D, 2 & 1. Put the Shifter in Park again and click Save & Close. Then click the save to TCU button to make the calibration permanent.


Map Switch Sensor

Help > TCU Software Desciption > TCU Setup > Sensor Settings >

Soft_P1_M2_E Map Selection

Map Selection

The TCU has the feature of setting up to 4 different Maps for the transmission. This can be normal Automatic mode, Towing Mode, Tiptronic Mode, Racing Mode, low range mode etc. Should a TCU start with the wrong selection due to pre setup, you may select 1 Map and first set the TCU up with all calibrations. Then select the 2 Map Buttons or 4 Map Switch selections and load the relevant Maps in them.

1 Map

This is for standard cars where the driver only need automatic mode.

2 Map buttons

This mode has 2 Maps and require the Tiptronic buttons to be installed. Pressing the Down button for 2 seconds will switch to Map number 2. Pressing the Up button for 2 seconds will switch to Map back to number 1. Note that the software will disconnect and then reconnect. It may take a couple of seconds. This is to read the new data from flash memory in the TCU. The TCU will do this in less than a second though. It can be done while driving. Also note that the TCU will default to Map 1 on startup.

4 Map Switch

This mode requires a rotary 4 Map switch to be installed on the TCU. Each position will activate the relevant Map to be used. Note that Map 1 and 2 may be changed while driving whilst 3 and 4 must be stationary. Should you switch to them while driving, nothing will happen until the speed is 0 km/h. Note that the TCU will start in the Map where the switch is positioned. This switch can be calibrated to suit different styles and versions of the Map selection switch. Note that this calibration is always in mode one and is saved in the TCU. Loading other maps will not alter the calibration. If this button is not available it is either Pre Ver 3.2 firmware or the TCU is currently on a Map greater than 1. In the last case click on 1 Map do the calibration and then click on 4 Map Switch before you save the data to TCU. The older versions was preprogrammed and could not be changed.

Click on this button to enter calibration mode.

Put the Map switch in position 1. As a test you can go through all the positions to position 4 to see if the real time value change significantly.

Put the Map switch in position 1 and click on 1. It will become green. Go through the other positions 2, 3 & 4. Put the map switch in position 1 again and click Save & Close. Put the Switch selection to 4 Map Switch again. Then click [image] to make the calibration permanent.

Note that the other Maps may not have data in and then the software will indicate Setup data could not be read. In this case click on Cancel and load a map into that Map memory.


Gear Shift Profile

Help > TCU Software Desciption >

Soft_P3_M1_0 Gear Shift Profile

Gear Shift Profile

These profiles are used to set up each gear to shift on its own pattern and according to certain criteria. This feature will let the installer set up the TCU for custom drive trains to the liking of his customer. The up and down shift algorithms can be manipulated with ease.

Marker

This green square block is called the Marker. It is a graphical point on the graph that indicates the crossing point of the vertical TPS signal with the horizontal RPM signal. It let the user see where the crossing point is and when it pass the shift lines.

Brown down shift line

When the marker move over to the left of this line a down shift will occur. This is usually when the RPM's drop too low in a gear or the throttle is pressed and the engine needs a lower gear to accelerate.

This line has 3 dots.

· The bottom dot will always stay on the 0% TPS line. This dot is used to shift down at closed throttle and low RPM's.

· The top dot is usually set at 90% throttle and more or less in the middle of the RPM range. This dot is used as a safety limit for the maximum RPM's where shift down may occur. If the marker is on the right side of this dot, even if it is lower in TPS, the TCU will not shift to a lower gear. When you choose a RPM value for this dot, make sure that after the shift there is still RPM's to gain in the lower gear. Otherwise the TCU will have to shift up immediately causing hunting in the transmission.

· The middle dot is normally set on 40% TPS value and slightly to the right of a straight line between the top and bottom dot. This will let the transmission shift down at lighter throttles during acceleration from higher gears. This will to help get the vehicle move with ease without laboring the engine.

Blue up shift line

When the marker move over to the right of this line an up shift will occur. This is usually when the RPM's increase too high in a gear or the throttle is release after the required speed is achieved. Then the engine needs a higher gear to coast.

This line has 3 dots.

· The bottom dot will always stay on the 0% TPS line. This dot is used to shift up at light throttle and low RPM's.

· The top dot is usually set at 90% throttle and more or less at maximum RPM range. This dot is used as a safety limit for the maximum RPM's to prevent engine over revving. When you choose a RPM value for this dot, make sure that after the shift the engine did not reach the engine limiter due to the shift time. In 1st gear you may need to drop this value as the engine pick up revs very fast and the transmission take around 2 seconds to do the actual shift.this may cause the engine to over rev.

· The middle dot is normally set on 40% TPS value and slightly to the right of a straight line between the top and bottom dot. This will let the RPM increase more before shifting at low throttle position. This will to help get the vehicle move with ease without laboring the engine.

Gear number and lockup.

This block indicates which gear's profile are being adjusted. If you click the arrows it will select between the profiles. The lockup check box will indicate to the TCU that you want to engage lockup clutch in the torque converter for this gear. Note that lower gears normally has too little time to use this feature. The standard is usually the top 2 or 3 gears. You may in tiptronic off-road select it in each gear as you spend some time in it. Note that not all transmissions have the lockup available in lower gears.

Gear down speed

This block is used to force a down shift to the lower gear when the road speed falls below this value. The reason is that if a lockup clutch did not engage the RPM will fall to idle due to the slippage in the converter. Then the TCU will shift down causing the shift to be harsh. In this case lower the brown bottom dot to an RPM that is lower than idle. This will prevent downshift at low RPM and force down shift only if the rad speed is slow enough. This is also the case with Aisan transmissions where 1st and 2nd gear has free running clutches. If you go fast in the gear and release the throttle the engine will fall to idling.

Note that in first gear this value is used as an upshift limit. The reason is that if you are on a downhill and let the car coast by itself, it must engage second gear. Her a value of around 10km/h is selected. As the road speed increase above this value 2nd gear will be selected. This will put the transmission in the right ratio when the driver start to accelerate.

Gear shift time

This block is used to give the transmission time to complete a shift before the next shift will be made. The reason is that the transmission is mechanical and it takes up to 2 seconds to complete a shift procedure. If the time is too short the TCU will start comparing the marker and speed values for the next shift. The result will be that the transmission will skip gears. Note that the TCU cannot shorten shift times, it has to be modified by a transmission specialist.

Kick down speeds.

When the road speed is above this value no down shift will occur. This acts the same as the top brown dot but just with a speed setting and with the exception that the shift time is ignored. The reason is that road speed is not influenced like RPM's due to torque converter slippages. The advantage of this setting is that it enables the TCU to shift 2 gears simultaneously during hard accelerating from a slow cruise in a higher gear. Like overtaking a car when the transmission was in a high gear coasting. The TCU will shift one gear down then wait for the shift time to time out. But if the road speed is lower than the kick down speed, the TCU will shift immediately to a lower gear. This happen very fast and the transmission will shift 2 gears.

Reset profile

This helps the tuner to put all the dots on the tuning pallet if no map is loaded in the TCU. They are not necessary placed where they should be.


Pressure Graph

Help > TCU Software Desciption >

Soft_P4_M1_0 Pressure Graph

Pressure Graph

This graph will determine the line pressure which acts on the clutches. This pressure is a pulse width modulation signal and is calculated according to the throttle position. It is critical that the TPS is calibrated and operates correctly.

Duty solenoid 1 is usually for the line pressure. The higher the Duty Cycle, the less the line pressure will be on the clutches. Never go higher than around 70% Duty Cycle at light throttle as this may damage some control solenoids. Always go for the lowest value without the shift being too harsh. If you feel slippage during shift, back off the throttle immediately and decrease the graph setting at that TPS value. These clutches are not made to endure slippage and may damage permanently.

Duty solenoid 2 & 3 are firmware specific and can be viewed in the special files.

Graph selector

Click on the dropdown menu to select between the grahs to tune. You may press the "T" button to toggle between them. The "H" button will hide or show all 3. Note that some firmware will only allow 1 graph to be available.


Temperature Compensation

Help > TCU Software Desciption >

Soft_P5_M1_0 Temperature Compensation

Temperature Compensation

This graph is used to compensate line pressure with temperature. A cold transmission will shift harder. Depending on specific firmware this graph will compensate either line pressure or shift control pressure. The example above is shift control pressure. If it is for line pressure the graph will have a falling slope.

When tuning a transmission from the star disable the temperature sensor. Then afterwards enable it and modify this graph when it is col so that it could shift softly. Don't go too soft as it may slip in some cases. Note that this graph should cross the zero line at working temperature.


Tuning

Help > TCU Software Desciption >

Soft_Tuning_0 Tuning Principles

Tuning Principles

The TCU normally comes with standard gear profiles preloaded. These profiles differ a lot due to engine RPM and road speed differences for each type of vehicle. There is a large difference between petrol and diesel engines and also 4x4 and two wheel drive vehicles. It is recommended to start with a profile that is more or less similar to your configuration. Always start with Profile 1 in automatic mode as this is the profile in which you have to calibrate all the sensors, so that it is the same for the other profiles. Any calibration in other profiles will be replaced with the calibration of Profile 1 at startup. Calibrations are not changed by loading maps, they have to be adjusted in real time on the TCU. (See Cloning in the manual to preload calibrations.)

Procedure of Tuning.

Standing Still

1. First go through the setup and enter all the relevant settings that you do know.

2. Calibrate the TPS sensor.

3. Start the engine and check the rev counter calibration is correct, then save the data and switch the engine off.

4. Switch the ignition on and do the following settings while you are standing still.

5. Start with the following option settings.

Set the Gear-Down Speed to zero and the Kick-Down Speed to 200 for all the gear profiles as below.

Set the Gear-Up Speed for first gear to 100 as in the block below.

This will disable the speed settings so that you can set the RPM settings first. It will not work for Tiptronic as you do need the required speed settings.

Then set the Up Shift (Blue Line) High Dot to 90% TPS value, and to the maximum RPM value allowed for that gear. Do this for each gear. Set Gear one a bit lower to compensate for the shift time of the transmission. If it is too high the engine will over-rev.

Now set the Down Shift (Red Line) High Dot to 90% TPS value and half of the maximum RPM value allowed for that gear. Do this for each gear. An example is, if you want a gear to reach 6000RPM under WOT, adjust the Down Shift High Dot to 3000RPM. This will be a save value to start with, so that shift down does not the over-rev engine.

Set the Up Shift (Blue Line) Low Dot to idle RPM plus 800 RPM. An example is if idle RPM is 800, set this Dot to 1600RPM. Do this for each gear and add 100RPM to the next gear.

Now set the Down Shift (Red Line) Low Dot to idle RPM plus 200 RPM. An example is if idle RPM is 800, set this Dot to 1000RPM. Do this for each gear again adding 100RPM per gear. This will ensure that the gear does shift back when idling RPM is reached.

Then set the Up Shift (Blue Line) Middle Dot to 40% TPS value, and set the RPM value slightly right form a straight line between the Low and High Dot. Do this for each gear.

Now set the Down Shift (Red Line) Middle Dot to 40% TPS value, and set the RPM value slightly right form a straight line between the Low and High Dot. Do this for each

Preparation is now done and the gearbox should shift and make the vehicle drivable. Save this to the TCU.

Driving and Basic Settings

Start the engine and pull off in drive. Find a quiet level road and calibrate the speedometer.

Should the transmission at any time feel like slipping, immediately back off the throttle and decrease the line pressure graph at that TPS setting. (It is graph one.) These clutches are small and will burn quickly and also burn the oil. If the transmission has more than one control solenoid, see the specific instructions on how to adjust the different graphs. Note, lowering the blue line pressure graph will increase line pressure that will result in a firmer shift. This may be transmission specific so make sure you have the special instructions document handy.

The first setting to adjust is light throttle pull off. Push the throttle to about 5 to 10 % TPS value and feel each gear when it shifts forward. This is an important setting if you crawl in traffic. If it shifts too quick to your liking, move the Up Shift (Blue Line) Low Dot more to the right and vice versa. Do this for each gear.

The next setting to adjust is low throttle gear down. For this setting we use the Gear-Down Speed setting. It is better to use actual road speed for gear down than RPM's. The reason is that torque converter's slip gives a false sense of drivetrain RPM's at low engine RPM's. This is due to the stall speed of the torque converter. There is also a difference in RPM when the Torque Converter Clutch is engage or not. First you need to set the Down Shift (Red Line) Low Dot to idle RPM minus 200 RPM. An example is if idle RPM is 800, set this Dot to 600RPM. Do this for each gear. This will prevent the TCU to gear down by revs.

Enter a value for the Gear Down Speed setting in, for all the gears except Gear 1. Leave it at 100 Km/h. Use a value which you thing it should gear down. Start with a lower value to prevent lockup of the wheels.

Now accelerate to top gear and release the throttle. Now feel each gear when it shifts back. If it shifts back harsh or too quickly, decrease the value and vice versa. Do this for each gear.

The Gear-Down Speed setting in Gear 1 is used as a forward shift speed to second gear. This is handy when the vehicle starts rolling on a downhill where the driver does not touch the throttle. When the vehicle exceeds this speed, the TCU will automatically shift to second gear. This speed must be higher than the second gear, Gear-Down Speed setting, otherwise the transmission will hunt between the gears. On some transmissions this setting is important as 1st and 2nd gear has a free running clutch and no engine brake, which means that RPM stay at idle regardless of the speed of the vehicle. Start with a value of 10km/h.

To set the Up Shift (Blue Line) Middle Dot, press the throttle in about 40% TPS value. Again, feel each shift if it takes place at the right RPM's. If it shifts too quickly move the Dot more to the right and vice versa. Do this for each gear.

Now to set the Down Shift (Red Line) High Dot RPM value, you need to cruise in the gears higher than gear 1, and at an RPM just lower than this Dot value. Then kick the throttle in quickly to reach a value higher than 90% TPS value. When the TCU shifts the previous gear, feel if the RPM in this gear is too high or too low. Adjust the Dot only left or right. This kick back should occur at a RPM where the lower gear still has range to improve the vehicle speed, without over revving the engine. It should not be too low so that the engine labors in higher gear and not be able to gear down under high load conditions. Do this for each gear.

To set the Down Shift (Red Line) Middle Dot for gear down when Throttle is pressed is a bit trickier. You'll need to cruise in each gear at low RPM. Then press the throttle in at certain depths and feel as gear down occurs at the correct acceleration. Adjust this Dot left and right till kickback occurs at the correct throttle opening.

The last shift setting to adjust is the Kick-Down Speed setting. This setting lets the TCU gear down regardless of the RPM or if the Gear Shift Time has lapsed. It will also let the TCU shift back two gears at a time. The TCU will gear down when the speed is below this value and the throttle is pressed to a TPS value greater than the Down Shift (Red Line) High Dot TPS value. This is set at 90% TPS. To start with a reasonable value, use 50% of the maximum speed for the lower gear. Example: If Gear 2 can reach a speed of 100 Km/h, use 50Km/h as a setting for Gear 3. This will leave ample room for the lower gear to accelerate the vehicle. If you found that the engine revs in the lower gear is too low, increase this value. Do this for all the gears except Gear 1.

Gear Shift Time is important to let the transmission complete its hydraulic action before the TCU attempts its next shift. A setting here is normally 2.5 to 3 seconds. If the time is too short the TCU will do calculations for the next gear while the transmission has not yet engaged that gear. This will result in the transmission skipping gears and the engine revs falling too low. It will then kickback and start an erratic shift process. Rather start with a larger value and decrease till you detect inadequate operation. Then increase the time slightly. Also note that during the shift time at full throttle the engine may over-rev. then decrease the blue top dot's RPM value.

Now, drive around with the vehicle under normal city and highway conditions feeling the TCU operation. This will indicate where little adjustment may be required to get the shifting to perfection.

Save the profile in the TCU and also on the PC as Profile 1 Automatic.Spitcu.

Now, select Profile 2 and load the file Profile 1 Automatic. Spitcu from the PC into the TCU. Press Connect and save it to the flash in the TCU and then start editing from there.

Repeat the save process and go to the next profile. For low range you may need to start over as with Profile 1. This is due to the speed settings that will be different.

Once you are familiar with tuning you may tune the middle and top dots also in the up and down dimension. This is mostly a feeling by yourself if the transmission does what you want it to do. Try to see what the marker does while driving and try to get the shift lines where the transmission feel smooth. Be careful while driving as you may get distracted and cause an accident.


Help >

Main_Startup_0 Startup Procedure

Startup Procedure

The Startup procedure is a very important procedure, as to prevent damages to the TCU and Transmission. If at any time the clutches slip, back- off on the throttle immediately! Increase the line pressure and/or check if the fluid levels are correct. Do not continue if problem persists as the clutches are very delicate and can damage in seconds.

Transmission and system preparation:

Before you connect the TCU do the following:

1. If it is a conversion, service the Transmission filter and oil. Make sure if the Transmission uses the correct ATF or synthetic oils. Check the oil level when the engine is running in drive.

2. First, ensure that the installation is correct according to the Hardware Installation procedure.

3. Test the electrical wiring and multi meter according to the Test Procedure file provided.

Connecting the TCU for the first time:

You may now proceed with the following steps.

* If any steps do not correlate with the TCU operation, stop and look for the faults. Ensure that the TCU is earthed correctly!!!

1. Remove the solenoid fuses.

2. Connect only the 12 way connector leaving the 10 way connector open. Switch the Ignition on. Do not start the Engine. The yellow LED on the TCU must come on, if the yellow LED does not come on switch off immediately as there may be a short on the 5 Volt output that will damage the TCU!

3. Now switch the Ignition off and connect the Laptop to the TCU. Switch it on again. Start the PC software and connect to the TCU. The Transmission data i.e. the TPS and gear position should be displayed.

4. Start with MAP 1 in automatic. If however it shows MAP 2 or more, click on 1 MAP or turn the map switch to MAP 1.

5. Go through the setup page and ensure all the settings are correct for your specific Transmission.

6. Calibrate the TPS sensor and save the calibration as described under active sensors. The TPS and speed sensor must be calibrated in MAP 1.

7. Calibrate the shifter so that all positions show correctly. Some transmissions such as GM use pressure switches, therefore the engine need to idle.

8. Start the engine and make sure the rev counter is calibrated.

9. Switch the ignition off and connect the 10 way connector. Replace the fuse and start again.

10. Put the shifter in drive and the software on the gear profiles. Pull off in first and check that the speedometer works.

11. If the gears are slipping, reduce the line pressure on the graph according to the tuning principles.

12. Calibrate the speedometer by asking a passenger to set the calibration value till it reads the same as the cars speedometer or a GPS. Alternatively do this procedure with the wheels off the ground and compare to the vehicles speedometer. Once you are on the road use the GPS for accuracy.

13. Check if the transmission selects all the gears and gear backs.

14. Do fine tuning according to the tuning principles.

15. Save the data for that profile and start tuning the other profiles and functions.


Help >

Main_Trouble_0 Trouble Shooting

Trouble Shooting

Faults and Remedies

The TCU yellow power LED does not come on

  1. The ignition wire does not have 12Volt
  2. There is a short on the 5 Volt output from the TCU. - The magnetic crank or speed sensor, or the TPS sensor all use 5 volt. (Check the wiring.)
  3. Check if the TCU is earthed.

The Software does not connect to the TCU with the USB to UART Converter

  1. Incorrect or faulty USB converter.
  2. No Device Driver for the USB cable is installed on the PC.

The TPS does not want to calibrate

1. Check the wiring according to the drawing. See if it has 5 Volt, Ground and if the signal varies between 0 and 5 Volt.

2. Check Calibration procedure again. Make sure that the calibration is in profile 1 and that it is reset before calibration and saved in the TCU after calibration.

The RPM signal does not indicate

1. Incorrect sensor wiring. (See drawings.)

2. Wrong harness used for the sensor type. Make sure if you have a hall or magnetic sensor or pulse.

3. Incorrect jumper setting.

4. Sensor gap too large. Make the gap between 0.5 and 1mm between sensor and iron teeth.

5. Incorrect Setup or Calibration.

The Speedometer does not indicate

1. Incorrect sensor wiring. (See drawings).

2. Wrong harness for the sensor type. Make sure if you have a hall or magnetic sensor or pulse.

3. Incorrect jumper setting.

4. Sensor gap too large. Make the gap between 0.5 and 1mm between sensor and iron teeth.

5. Incorrect Setup or Calibration.

The Shifter positions indicates wrong

1. Incorrect wiring. (See drawings.)

2. Incorrect Setup or Calibration.

3. Reverse logic setting is wrong. Change the level for activation.

4. Shifter is not earthed.

The TCU does not want to shift from 1st gear to second

1. One of the above sensors is not working correctly. Make sure the software shows that drive is selected.

2. Incorrect profile settings.(See Tuning Principles.)

The Marker moves past the up or down shift line without shifting

1. Faulty Number of Gears setting uploaded.

2. Incorrect gear profile speed settings. (See Tuning Principles.)

3. Faulty Shifter Position switch.

The TCU shift before the Marker moves past the up or down shift line

1. Incorrect Speed settings for Gear down Speed or Kick down Speed.


Transmission Specific instructions

Each transmission may have specific setup rules that is not standard. This could be an extra pressure solenoid or setting for example. These instructions on how to tune it properly will be saved in the transmission folder on the web along with its firmware, startup map and drawing.